Index: trunk/SRC/Documentation/xmldoc/getsaxo.html
===================================================================
--- trunk/SRC/Documentation/xmldoc/getsaxo.html	(revision 86)
+++ trunk/SRC/Documentation/xmldoc/getsaxo.html	(revision 87)
@@ -46,15 +46,15 @@
 	  Regular users
 	</h4></div></div></div><p>
-	The <span class="bold"><strong>complete</strong></span> latest revision (source + tests data files: ~750 Mb) can be checked out with the following command executed in your <code class="envar">${HOME}</code>:
+	The <span class="bold"><strong>complete</strong></span> latest revision (source + tests data files: 750 Mb) can be checked out with the following command executed in your <code class="envar">${HOME}</code>:
 	</p><pre class="screen">
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">svn</strong></span> <code class="option">checkout</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/svn/trunk/</code></em> <em class="parameter"><code>SAXO_DIR</code></em></code></strong>
 	</pre><p>
       </p><p>
-	The latest revision of the <span><strong class="command">source files</strong></span> (~25 Mb) can be checked out with the following command:
+	The latest revision of the <span><strong class="command">source files</strong></span> (23 Mb) can be checked out with the following command:
 	</p><pre class="screen">
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">svn</strong></span> <code class="option">checkout</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/svn/trunk/SRC</code></em> <em class="parameter"><code>SAXO_DIR/SRC</code></em></code></strong>
 	</pre><p>
       </p><p>
-	The latest revision of the <span><strong class="command">NetCDF data files</strong></span> (~725 Mb) used by the test programs can be checked out with the following command:
+	The latest revision of the <span><strong class="command">NetCDF data files</strong></span> (727 Mb) used by the test programs can be checked out with the following command:
 	</p><pre class="screen">
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">svn</strong></span> <code class="option">checkout</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/svn/trunk/DATA</code></em> <em class="parameter"><code>SAXO_DIR/DATA</code></em></code></strong>
@@ -70,5 +70,5 @@
 	Get <span class="application">SAXO</span> from a tar file
       </h3></div></div></div><div class="sect3" lang="en"><div class="titlepage"><div><div><h4 class="title"><a name="saxo_src_tar"></a>2.3.1.&nbsp;
-	  Get <span class="application">SAXO</span> source files (... Mb)
+	  Get <span class="application">SAXO</span> source files (4.0M Mb)
 	</h4></div></div></div><p>
 	  Create your <code class="filename"><code class="envar">${HOME}</code>/SAXO_DIR</code> directory...
@@ -78,43 +78,34 @@
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">cd</strong></span> <em class="parameter"><code>SAXO_DIR</code></em></code></strong>
 	  </pre><p>
-	  ... and download it the latest version of the sources tar file: <a href="http://forge.ipsl.jussieu.fr/saxo/download/SAXO_RD_20060602.tar.gz" target="_top">SAXO_RD_20060602.tar.gz</a> (4.0M Mb). This tar.gz file could also be downloaded with 
+	  ... and download it the latest version of the sources tar file: <a href="http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20060602.tar.gz" target="_top">SAXO_SRC_20060602.tar.gz</a> (4.0M Mb). This tar.gz file could also be downloaded with 
 	</p><div class="variablelist"><dl><dt><span class="term"><span><strong class="command">wget</strong></span></span></dt><dd><pre class="screen">
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">wget</strong></span> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_RD_20060602.tar.gz</code></em></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">wget</strong></span> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20060602.tar.gz</code></em></code></strong>
 	  </pre></dd><dt><span class="term"><span><strong class="command">curl</strong></span></span></dt><dd><pre class="screen">
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">curl</strong></span> <code class="option">-O</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_RD_20060602.tar.gz</code></em></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">curl</strong></span> <code class="option">-O</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20060602.tar.gz</code></em></code></strong>
 	  </pre></dd></dl></div><p>	
 	Untar the file
 	</p><pre class="screen">
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">cd</strong></span> <em class="parameter"><code><code class="envar">${HOME}</code>/SAXO_DIR</code></em></code></strong>
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">tar</strong></span> <code class="option">xvfz</code> <em class="parameter"><code>SAXO_DIR_*.tar.gz</code></em></code></strong>
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">rm</strong></span> <em class="parameter"><code>SAXO_DIR_*.tar.gz</code></em></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">tar</strong></span> <code class="option">xvfz</code> <em class="parameter"><code>SAXO_SRC_20060602.tar.gz</code></em></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">rm</strong></span> <em class="parameter"><code>SAXO_SRC_20060602.tar.gz</code></em></code></strong>
 	</pre><p>
 	</p></div><div class="sect3" lang="en"><div class="titlepage"><div><div><h4 class="title"><a name="saxo_data_tar"></a>2.3.2.&nbsp;
-	  Get <span class="application">SAXO</span> tests data files (... Mb)
+	  Get <span class="application">SAXO</span> tests data files (238M Mb)
 	</h4></div></div></div><p>
-	If you want to use the tests programs, you need to download the data tests files (<code class="filename">TestsData_20060602.tar.gz</code>), You may download theses files in 
+	If you want to use the tests programs, you need to download the data tests files (<code class="filename">SAXO_DATA_20060602.tar.gz</code>), You may download theses files in 
 	</p><div class="itemizedlist"><ul type="disc"><li><code class="filename"><code class="envar">${HOME}</code>/My_IDL</code>. This is the easiest solution but it could be unconvenient if your <code class="envar">${HOME}</code> disk space is limited.</li><li>any other Directory of your choice. In that case, when using IDL, you will need to define the variable <code class="varname">iodir</code> to the Directory you choose in order to let IDL find the data tests files. This can be done either through the init.pro file (see <a href="#generate_init" title="3.&nbsp;&#xA;Generate your init.pro file&#xA;      "><a href="#generate_init" title="3.&nbsp;&#xA;Generate your init.pro file&#xA;      ">Section&nbsp;3, &#8220;
 	Generate your init.pro file
-      &#8221;</a></a>) or directly within IDL with the following commad: <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">iodir = "the chosen directory"</strong></span></code></strong></li></ul></div><p>
+      &#8221;</a></a>) or directly within IDL with the following commad: <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">iodir = <em class="replaceable"><code>the chosen directory</code></em></strong></span></code></strong></li></ul></div><p>
 	</p><pre class="screen">
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">cd</strong></span> <em class="parameter"><code><code class="envar">${HOME}</code></code></em></code></strong>
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">mkdir</strong></span> <em class="parameter"><code>"CHOSEN_DIR"</code></em></code></strong>
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">cd</strong></span> <em class="parameter"><code>"CHOSEN_DIR"</code></em></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">mkdir</strong></span> <em class="parameter"><code><em class="replaceable"><code>CHOSEN_DIR</code></em></code></em></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">cd</strong></span> <em class="parameter"><code><em class="replaceable"><code>CHOSEN_DIR</code></em></code></em></code></strong>
 	</pre><p>
-	Download the files through thoses links...
-	</p><div class="itemizedlist"><ul type="disc"><li><a href="http://forge.ipsl.jussieu.fr/saxo/svn/trunk/DATA/Levitus98_1m_01_12_Temperature_Pot_1x1.nc" target="_top">http://forge.ipsl.jussieu.fr/saxo/svn/trunk/DATA/Levitus98_1m_01_12_Temperature_Pot_1x1.nc</a> (49 Mb)</li><li><a href="http://forge.ipsl.jussieu.fr/saxo/svn/trunk/DATA/Levitus98_1m_01_12_Temperature_Pot_ORCA2.nc" target="_top">http://forge.ipsl.jussieu.fr/saxo/svn/trunk/DATA/Levitus98_1m_01_12_Temperature_Pot_ORCA2.nc</a> (19 Mb)</li><li><a href="http://forge.ipsl.jussieu.fr/saxo/svn/trunk/DATA/Levitus98_1m_01_12_Temperature_Pot_ORCA05.nc" target="_top">http://forge.ipsl.jussieu.fr/saxo/svn/trunk/DATA/Levitus98_1m_01_12_Temperature_Pot_ORCA05.nc</a> (264 Mb)</li><li><a href="http://forge.ipsl.jussieu.fr/saxo/svn/trunk/DATA/micromeshmaskORCA2.nc" target="_top">http://forge.ipsl.jussieu.fr/saxo/svn/trunk/DATA/micromeshmaskORCA2.nc</a> (27 Mb)</li><li><a href="http://forge.ipsl.jussieu.fr/saxo/svn/trunk/DATA/micromeshmaskORCA05.nc" target="_top">http://forge.ipsl.jussieu.fr/saxo/svn/trunk/DATA/micromeshmaskORCA05.nc</a> (2 Mb)</li></ul></div><p>
+	Download <a href="http://forge.ipsl.jussieu.fr/saxo/download/SAXO_DATA_20060602.tar.gz" target="_top">SAXO_DATA_20060602.tar.gz</a> (238M Mb)
 	... or with 
 	</p><div class="variablelist"><dl><dt><span class="term"><span><strong class="command">wget</strong></span></span></dt><dd><pre class="screen">
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">wget</strong></span> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/svn/trunk/DATA/Levitus98_1m_01_12_Temperature_Pot_1x1.nc</code></em></code></strong>
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">wget</strong></span> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/svn/trunk/DATA/Levitus98_1m_01_12_Temperature_Pot_ORCA2.nc</code></em></code></strong>
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">wget</strong></span> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/svn/trunk/DATA/Levitus98_1m_01_12_Temperature_Pot_ORCA05.nc</code></em></code></strong>
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">wget</strong></span> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/svn/trunk/DATA/micromeshmaskORCA2.nc</code></em></code></strong>
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">wget</strong></span> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/svn/trunk/DATA/micromeshmaskORCA05.nc</code></em></code></strong>
-	  </pre></dd><dt><span class="term"><span><strong class="command">curl</strong></span></span></dt><dd><pre class="screen">
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">curl</strong></span> <code class="option">-O</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/svn/trunk/DATA/Levitus98_1m_01_12_Temperature_Pot_1x1.nc</code></em></code></strong>
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">curl</strong></span> <code class="option">-O</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/svn/trunk/DATA/Levitus98_1m_01_12_Temperature_Pot_ORCA2.nc</code></em></code></strong>
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">curl</strong></span> <code class="option">-O</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/svn/trunk/DATA/Levitus98_1m_01_12_Temperature_Pot_ORCA05.nc</code></em></code></strong>
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">curl</strong></span> <code class="option">-O</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/svn/trunk/DATA/micromeshmaskORCA2.nc</code></em></code></strong>
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">curl</strong></span> <code class="option">-O</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/svn/trunk/DATA/micromeshmaskORCA05.nc</code></em></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">wget</strong></span> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_DATA_20060602.tar.gz</code></em></code></strong>
+ 	  </pre></dd><dt><span class="term"><span><strong class="command">curl</strong></span></span></dt><dd><pre class="screen">
+  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">curl</strong></span> <code class="option">-O</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_DATA_20060602.tar.gz</code></em></code></strong>
 	  </pre></dd></dl></div><p>
 	</p></div></div></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="generate_init"></a>3.&nbsp;