Index: trunk/SRC/Documentation/xmldoc/firststeps.html
===================================================================
--- trunk/SRC/Documentation/xmldoc/firststeps.html	(revision 87)
+++ trunk/SRC/Documentation/xmldoc/firststeps.html	(revision 88)
@@ -65,5 +65,5 @@
    <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">y = findgen(n)</strong></span></code></strong> <img src="images/callouts/1.png?format=raw" alt="1">
    <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">plot, y</strong></span></code></strong> <a href="figpng/basic_plot.png?format=raw" target="_top"><span class="inlinemediaobject"><img src="images/showfig.png?format=raw" alt="show result"></span></a>
-	</pre><div class="calloutlist"><table border="0" summary="Callout list"><tr><td width="5%" valign="top" align="left"><img src="images/callouts/1.png" alt="1" border="0"></td><td valign="top" align="left"><p>
+	</pre><div class="calloutlist"><table border="0" summary="Callout list"><tr><td width="5%" valign="top" align="left"><img src="images/callouts/1.png?format=raw" alt="1" border="0"></td><td valign="top" align="left"><p>
 		<span><strong class="command">findgen</strong></span> stands for <span><strong class="command">f</strong></span>loat <span><strong class="command">ind</strong></span>ex <span><strong class="command">gen</strong></span>erator. 
 		</p><pre class="screen">
@@ -99,5 +99,5 @@
   <code class="computeroutput">% Compiled module: CW_BGROUP.</code>
   <code class="computeroutput">% Compiled module: XMANAGER.</code>
-	</pre><div class="calloutlist"><table border="0" summary="Callout list"><tr><td width="5%" valign="top" align="left"><img src="images/callouts/1.png" alt="1" border="0"></td><td valign="top" align="left"><p>
+	</pre><div class="calloutlist"><table border="0" summary="Callout list"><tr><td width="5%" valign="top" align="left"><img src="images/callouts/1.png?format=raw" alt="1" border="0"></td><td valign="top" align="left"><p>
 		<em><span class="remark">If needed, the name of the postscript will automatically be completed with .ps. Just hit return, if you want to use the default postcript name: <code class="filename">idl.ps</code>.</span></em> 
 	      </p></td></tr></table></div></div><p>
@@ -150,7 +150,7 @@
   <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">splot, findgen(360)/36., findgen(360)*2.*!dtor, /polar $</strong></span></code></strong>
   <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">    , small <span class="inlinemediaobject"><img src="images/callouts/1.png?format=raw" alt="1"></span> = [1, 2, 2], /noerase <span class="inlinemediaobject"><img src="images/callouts/2.png?format=raw" alt="2"></span></strong></span></code></strong> <a href="figpng/basic_splot3.png?format=raw" target="_top"><span class="inlinemediaobject"><img src="images/showfig.png?format=raw" alt="show result"></span></a>
-	</pre><div class="calloutlist"><table border="0" summary="Callout list"><tr><td width="5%" valign="top" align="left"><img src="images/callouts/1.png" alt="1" border="0"></td><td valign="top" align="left"><p>
+	</pre><div class="calloutlist"><table border="0" summary="Callout list"><tr><td width="5%" valign="top" align="left"><img src="images/callouts/1.png?format=raw" alt="1" border="0"></td><td valign="top" align="left"><p>
 		the <code class="computeroutput">small</code> keyword is a 3 elements vector which defines how we devide the page and in which case we should make the plot: [number of columns, number of rows, case number]. The case numbering is starting at 1, from top to bottom and left to right.
-	      </p></td></tr><tr><td width="5%" valign="top" align="left"><img src="images/callouts/2.png" alt="2" border="0"></td><td valign="top" align="left">
+	      </p></td></tr><tr><td width="5%" valign="top" align="left"><img src="images/callouts/2.png?format=raw" alt="2" border="0"></td><td valign="top" align="left">
 		you must put <code class="computeroutput">/norease</code> otherwise the second plot will be done in a new window.
 	      </td></tr></table></div></div><p>
@@ -178,5 +178,5 @@
   <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">contour, z, /overplot, c_label = rebin([1, 0], 2, n) <span class="inlinemediaobject"><img src="images/callouts/1.png?format=raw" alt="1"></span>, levels = n*ind $</strong></span></code></strong>
   <code class="prompt">idl&gt;</code> <strong class="userinput"><code><span><strong class="command">    , c_charthick = 2, c_charsize = 1.5, c_colors = 250*ind</strong></span></code></strong> <a href="figpng/basic_scontour3.png?format=raw" target="_top"><span class="inlinemediaobject"><img src="images/showfig.png?format=raw" alt="show result"></span></a>
-	</pre><div class="calloutlist"><table border="0" summary="Callout list"><tr><td width="5%" valign="top" align="left"><img src="images/callouts/1.png" alt="1" border="0"></td><td valign="top" align="left"><p>
+	</pre><div class="calloutlist"><table border="0" summary="Callout list"><tr><td width="5%" valign="top" align="left"><img src="images/callouts/1.png?format=raw" alt="1" border="0"></td><td valign="top" align="left"><p>
 	      <span><strong class="command">rebin</strong></span> is used to build an array containing an alternation of 1 and 0 in order to label one contour every two contours.
 		</p><pre class="screen">
Index: trunk/SRC/Documentation/xmldoc/getsaxo.html
===================================================================
--- trunk/SRC/Documentation/xmldoc/getsaxo.html	(revision 87)
+++ trunk/SRC/Documentation/xmldoc/getsaxo.html	(revision 88)
@@ -78,15 +78,15 @@
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">cd</strong></span> <em class="parameter"><code>SAXO_DIR</code></em></code></strong>
 	  </pre><p>
-	  ... and download it the latest version of the sources tar file: <a href="http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20060602.tar.gz" target="_top">SAXO_SRC_20060602.tar.gz</a> (4.0M Mb). This tar.gz file could also be downloaded with 
+	  ... and download it the latest version of the sources tar file: <a href="http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20060605.tar.gz" target="_top">SAXO_SRC_20060605.tar.gz</a> (4.0M Mb). This tar.gz file could also be downloaded with 
 	</p><div class="variablelist"><dl><dt><span class="term"><span><strong class="command">wget</strong></span></span></dt><dd><pre class="screen">
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">wget</strong></span> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20060602.tar.gz</code></em></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">wget</strong></span> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20060605.tar.gz</code></em></code></strong>
 	  </pre></dd><dt><span class="term"><span><strong class="command">curl</strong></span></span></dt><dd><pre class="screen">
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">curl</strong></span> <code class="option">-O</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20060602.tar.gz</code></em></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">curl</strong></span> <code class="option">-O</code> <em class="parameter"><code>http://forge.ipsl.jussieu.fr/saxo/download/SAXO_SRC_20060605.tar.gz</code></em></code></strong>
 	  </pre></dd></dl></div><p>	
 	Untar the file
 	</p><pre class="screen">
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">cd</strong></span> <em class="parameter"><code><code class="envar">${HOME}</code>/SAXO_DIR</code></em></code></strong>
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">tar</strong></span> <code class="option">xvfz</code> <em class="parameter"><code>SAXO_SRC_20060602.tar.gz</code></em></code></strong>
-  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">rm</strong></span> <em class="parameter"><code>SAXO_SRC_20060602.tar.gz</code></em></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">tar</strong></span> <code class="option">xvfz</code> <em class="parameter"><code>SAXO_SRC_20060605.tar.gz</code></em></code></strong>
+  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">rm</strong></span> <em class="parameter"><code>SAXO_SRC_20060605.tar.gz</code></em></code></strong>
 	</pre><p>
 	</p></div><div class="sect3" lang="en"><div class="titlepage"><div><div><h4 class="title"><a name="saxo_data_tar"></a>2.3.2.&nbsp;
Index: trunk/SRC/Documentation/xmldoc/main.html
===================================================================
--- trunk/SRC/Documentation/xmldoc/main.html	(revision 88)
+++ trunk/SRC/Documentation/xmldoc/main.html	(revision 88)
@@ -0,0 +1,46 @@
+<html><head>
+      <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
+   <title>Main page of SAXO</title><link rel="stylesheet" href="saxo.css" type="text/css"><meta name="generator" content="DocBook XSL Stylesheets V1.69.1"><meta name="keywords" content="idl, SAXO"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="article" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="d0e1"></a>Main page of SAXO</h2></div><div><div class="authorgroup"><div class="author"><h3 class="author"><span class="firstname">S&eacute;bastien</span> <span class="surname">Masson</span></h3><code class="email">&lt;<a href="mailto:smasson_at_lodyc.jussieu.fr">smasson_at_lodyc.jussieu.fr</a>&gt;</code></div><div class="author"><h3 class="author"><span class="firstname">Fran&ccedil;oise</span> <span class="surname">Pinsard</span></h3><code class="email">&lt;<a href="mailto:Francoise.Pinsard_at_lodyc.jussieu.fr">Francoise.Pinsard_at_lodyc.jussieu.fr</a>&gt;</code></div></div></div><div><div class="revhistory"><table border="1" width="100%" summary="Revision history"><tr><th align="left" valign="top" colspan="2"><b>Revision History</b></th></tr><tr><td align="left">Revision 0.0</td><td align="left">June 2006</td></tr><tr><td align="left" colspan="2">First draft</td></tr></table></div></div></div><hr></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="sect1"><a href="#d0e37">1. What is SAXO</a></span></dt><dt><span class="sect1"><a href="#d0e55">2. What's new</a></span></dt><dt><span class="sect1"><a href="#d0e81">3. 
+Get SAXO
+</a></span></dt><dt><span class="sect1"><a href="#d0e103">4. Support</a></span></dt><dt><span class="sect1"><a href="#d0e125">5. 
+Documentation
+</a></span></dt><dt><span class="sect1"><a href="#d0e142">6. SAXO team</a></span></dt></dl></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e37"></a>1.&nbsp;What is SAXO</h2></div></div></div><p>
+SAXO is a package (~400 routines, ~60 000 code lines) used to easily and quickly visualize and analyze models outputs or data observations. It is based on <a href="http://www.ittvis.com/idl/" target="_top"><span class="trademark">IDL</span>&#8482;</a> and contains a Graphic User Interface. Developed in collaboration with <a href="http://www.lodyc.jussieu.fr/" target="_top">LOCEAN</a> researchers, it allows to explore four dimension data which may be gridded or irregularly spaced. It is particularly adapted to the "Arakawa C grid" discretization used in <a href="http://www.lodyc.jussieu.fr/NEMO/" target="_top">NEMO</a>. In addition to graphical procedures, interpolation modules and other things..., it contains a set of programs dedicated to oceanographic diagnostics. <a href="../../saxo/browser/trunk/SRC/Documentation/xmldoc/whatissaxo.html?format=raw" target="_top">More...</a> 
+</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e55"></a>2.&nbsp;What's new</h2></div></div></div><div class="itemizedlist"><ul type="disc"><li><p>
+March 2006-May 2006 : migration for <span class="bold"><strong>obsolete</strong></span> CVS repository + S&eacute;bastion Masson improvments
+in a beautiful &#8220;<span class="quote"><span class="application">trac</span>+<span class="application">svn</span></span>&#8221; project on <code class="systemitem">http:://forge.ipsl.jussieu.fr/saxo/</code>.
+</p></li><li><p>
+More details in <a href="../../saxo/browser/trunk/SRC/Documentation/xmldoc/whatsnew.html?format=raw" target="_top">What's new in SAXO</a>
+</p></li></ul></div></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e81"></a>3.&nbsp;
+Get SAXO
+</h2></div></div></div><div class="itemizedlist"><ul type="disc"><li><p>
+<a href="../../saxo/browser/trunk/SRC/Documentation/xmldoc/getsaxo.html?format=raw" target="_top">Get</a> SAXO
+</p></li><li><p>
+<a href="../../saxo/browser/trunk/SRC/Documentation/xmldoc/updatesaxo.html?format=raw" target="_top">Update</a> SAXO
+</p></li><li><p>
+<a href="../../saxo/browser/trunk" target="_top">Browse</a> SAXO
+</p></li></ul></div></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e103"></a>4.&nbsp;Support</h2></div></div></div><div class="itemizedlist"><ul type="disc"><li><p>
+<a href="../../saxo/browser/trunk/SRC/Documentation/xmldoc/mailing.html?format=raw" target="_top">mailing lists</a> (subscribtion and archives).
+</p></li><li><p>
+<a href="http://forge.ipsl.jussieu.fr/saxo/newticket" target="_top">send</a>,  <a href="http://forge.ipsl.jussieu.fr/saxo/report" target="_top">read</a> tickets
+</p></li><li><p>
+FAQ (to be created...)
+</p></li></ul></div></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e125"></a>5.&nbsp;
+Documentation
+</h2></div></div></div><p>
+<a href="../../saxo/browser/trunk/SRC/Documentation/xmldoc/firststeps.html?format=raw" target="_top">First Steps</a> with saxo. See also plots of First Steps in <a href="../../saxo/browser/trunk/SRC/Documentation/xmldoc/all_plots.html?format=raw" target="_top">All plots</a>
+</p><p>
+Some useful <a href="../../saxo/browser/trunk/SRC/Documentation/xmldoc/tiplink.html?format=raw" target="_top">Tips and links</a>
+</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e142"></a>6.&nbsp;SAXO team</h2></div></div></div><div class="variablelist"><dl><dt><span class="term">
+S&eacute;bastien Masson 
+</span></dt><dd>
+Author
+</dd></dl></div><dt><span class="term">
+Fran&ccedil;oise Pinsard
+</span></dt><dd>
+Project owner (trac, mailman and svn)
+</dd><dt><span class="term">
+Olivier Thauvin
+</span></dt><dd>
+<a href="http://forge.ipsl.jussieu.fr/" target="_top">IPSL forge</a> maintenainer
+</dd></div></div></body></html>
Index: trunk/SRC/Documentation/xmldoc/main.xml
===================================================================
--- trunk/SRC/Documentation/xmldoc/main.xml	(revision 88)
+++ trunk/SRC/Documentation/xmldoc/main.xml	(revision 88)
@@ -0,0 +1,145 @@
+<?xml version='1.0' encoding='iso-8859-1'?>
+<!DOCTYPE article PUBLIC "-//OASIS//DTD DocBook XML V4.2//EN"
+"http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd" 
+[]>
+<article>
+<title>Main page of SAXO</title> 
+  <articleinfo>
+    <authorgroup>
+      <author><firstname>Sébastien</firstname> <surname>Masson</surname> <email>smasson_at_lodyc.jussieu.fr</email></author>
+      <author><firstname>Françoise</firstname> <surname>Pinsard</surname> <email>Francoise.Pinsard_at_lodyc.jussieu.fr</email></author>
+    </authorgroup>
+    <keywordset>
+      <keyword>idl</keyword>
+      <keyword>SAXO</keyword>
+    </keywordset>
+    <revhistory>
+      <revision>
+        <revnumber>0.0</revnumber>
+        <date>June 2006</date>
+        <revremark>First draft</revremark>
+      </revision>
+    </revhistory>  
+  </articleinfo>
+
+
+<sect1>
+<title>What is SAXO</title>
+<para>
+SAXO is a package (~400 routines, ~60 000 code lines) used to easily and quickly visualize and analyze models outputs or data observations. It is based on <ulink url="http://www.ittvis.com/idl/"><trademark>IDL</trademark></ulink> and contains a Graphic User Interface. Developed in collaboration with <ulink url="http://www.lodyc.jussieu.fr/">LOCEAN</ulink> researchers, it allows to explore four dimension data which may be gridded or irregularly spaced. It is particularly adapted to the "Arakawa C grid" discretization used in <ulink url="http://www.lodyc.jussieu.fr/NEMO/">NEMO</ulink>. In addition to graphical procedures, interpolation modules and other things..., it contains a set of programs dedicated to oceanographic diagnostics. <ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/whatissaxo.html?format=raw">More...</ulink> 
+</para>
+</sect1>
+
+
+<sect1>
+<title>What's new</title>
+<itemizedlist>
+<listitem>
+<para>
+March 2006-May 2006 : migration for <emphasis role="bold">obsolete</emphasis> CVS repository + Sébastion Masson improvments
+in a beautiful <quote><application>trac</application>+<application>svn</application></quote> project on <systemitem>http:://forge.ipsl.jussieu.fr/saxo/</systemitem>.
+</para>
+</listitem>
+<listitem>
+<para>
+More details in <ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/whatsnew.html?format=raw">What's new in SAXO</ulink>
+</para>
+</listitem>
+</itemizedlist>
+</sect1>
+
+
+<sect1>
+<title>
+Get SAXO
+</title>
+<itemizedlist>
+<listitem><para>
+<ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/getsaxo.html?format=raw">Get</ulink> SAXO
+</para></listitem>
+<listitem><para>
+<ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/updatesaxo.html?format=raw">Update</ulink> SAXO
+</para></listitem>
+<listitem><para>
+<ulink url="../../saxo/browser/trunk">Browse</ulink> SAXO
+</para></listitem>
+</itemizedlist>
+</sect1>
+
+<sect1>
+<title>Support</title>
+<itemizedlist>
+<listitem>
+<para>
+<ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/mailing.html?format=raw">mailing lists</ulink> (subscribtion and archives).
+</para>
+</listitem>
+<listitem>
+<para>
+<ulink url="http://forge.ipsl.jussieu.fr/saxo/newticket">send</ulink>,  <ulink url="http://forge.ipsl.jussieu.fr/saxo/report">read</ulink> tickets
+</para>
+</listitem>
+<listitem>
+<para>
+FAQ (to be created...)
+</para>
+</listitem>
+</itemizedlist>
+</sect1>
+
+
+<sect1>
+<title>
+Documentation
+</title>
+<!--
+++tracwiki Read First Steps with SAXO source:trunk/Documentation/xmldoc/firststeps.html
+++tracwiki Read First Steps with SAXO attachment:trunk/Documentation/xmldoc/firststeps.html
+++ docbook Read First Steps with SAXO source:trunk/Documentation/xmldoc/firststeps.html@latest
+++ docbook Read First Steps with SAXO <ulink url="trunk/Documentation/xmldoc/firststeps.html"/>
+ https://forge.ipsl.jussieu.fr/saxo/browser/trunk/Documentation/xmldoc/firststeps.html
+++ changement de base ? <ulink url="../svn/trunk/SRC/Documentation/xmldoc/firststeps.html">First Steps</ulink>
+-->
+<para>
+<ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/firststeps.html?format=raw">First Steps</ulink> with saxo. See also plots of First Steps in <ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/all_plots.html?format=raw">All plots</ulink>
+</para>
+<para>
+Some useful <ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/tiplink.html?format=raw">Tips and links</ulink>
+</para>
+</sect1>
+<sect1>
+<title>SAXO team</title>
+<variablelist>
+<varlistentry>
+<term>
+Sébastien Masson 
+</term>
+<listitem>
+<simpara>
+Author
+</simpara>
+</listitem>
+</varlistentry>
+</variablelist>
+<varlistentry>
+<term>
+Françoise Pinsard
+</term>
+<listitem>
+<simpara>
+Project owner (trac, mailman and svn)
+</simpara>
+</listitem>
+</varlistentry>
+<varlistentry>
+<term>
+Olivier Thauvin
+</term>
+<listitem>
+<simpara>
+<ulink url="http://forge.ipsl.jussieu.fr/">IPSL forge</ulink> maintenainer
+</simpara>
+</listitem>
+</varlistentry>
+</sect1>
+</article>
Index: trunk/SRC/Documentation/xmldoc/makehtml.sh
===================================================================
--- trunk/SRC/Documentation/xmldoc/makehtml.sh	(revision 87)
+++ trunk/SRC/Documentation/xmldoc/makehtml.sh	(revision 88)
@@ -164,5 +164,5 @@
           ${1}.xml > ${1}_${$}.xml 
    ;;
-   firssteps)
+   firststeps)
       sed -e s/"\&figsplt_lev\;"/"${figsplt_lev}"/g \
           -e s/"\&figsplt_orca2\;"/"${figsplt_orca2}"/g \
@@ -214,4 +214,7 @@
       section.autolabel=1 html.stylesheet="saxo.css" css.decoration=1
       rm -f all_plots_${$}.xml
+# not very nice... but useful !!
+      sed -e s/".png\""/".png?format=raw\""/g ${1}.html > ${1}_${$}.html
+      mv ${1}_${$}.html ${1}.html
    ;;
 esac
Index: trunk/SRC/Documentation/xmldoc/savesaxo.sh
===================================================================
--- trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 87)
+++ trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 88)
@@ -13,12 +13,19 @@
 doidldoc_assistant=0
 doidlwavedoc=0
-dotarsrc=1
-dotardata=0
+doTARsrc=1
+doTARdata=0
 doforge=1
-dolodyc=0
-#
+doSRClodyc=0
+doDTAlodyc=0
+doSRCidris=0
+doDTAidris=0
+#
+#
+# get the date in a nice format
+#
+ndate=`date +%Y%m%d`
 # memorize current directory
 memopwd=$(pwd) # should be <working space>/SRC/Documentation/xmldoc
-#
+#------------------------------------------------------------------
 if [ ${dohtml} -eq 1 ]
 then
@@ -27,17 +34,12 @@
 #
     cd ${memopwd}
-    for docxml in firststeps.xml getsaxo.xml mailing.xml tiplink.xml updatesaxo.xml whatissaxo.xml whatsnew.xml
+    for docxml in firststeps.xml getsaxo.xml mailing.xml main.xml tiplink.xml updatesaxo.xml whatissaxo.xml whatsnew.xml
     do
-    ./makehtml.sh $(basename ${docxml})
+    ./makehtml.sh $(basename ${docxml} .xml)
  #   tidy -m $(basename ${docxml}).html
     done
     exit 0
 fi
-#
-# get the date in a nice format
-#
-ndate=`date +%Y%m%d`
-#
-#
+#------------------------------------------------------------------
 if [ ${dooldtest} -eq 1 ]
 then
@@ -48,4 +50,5 @@
     exit 0
 fi
+#------------------------------------------------------------------
 if  [ ${doidlwavedoc} -eq 1 ]
 then
@@ -57,4 +60,5 @@
     exit 0
 fi
+#------------------------------------------------------------------
 if  [ ${doidldoc_html} -eq 1 ]
 then
@@ -63,4 +67,5 @@
     exit 1
 fi
+#------------------------------------------------------------------
 if  [ ${doidldoc_assistant} -eq 1 ]
 then
@@ -69,13 +74,11 @@
     exit 1
 fi
-#
-if [ ${dotarsrc} -eq 1 ]
+#------------------------------------------------------------------
+if [ ${doTARsrc} -eq 1 ]
 then
     localtarbase=/tmp/savesaxo_${$}
     mkdir  ${localtarbase}/
 # clean backup files : *~
-#
-    cd ${memopwd}/../../..
-    find . -name "*~" -exec rm {} \;
+    find ${memopwd}/../../.. -name "*~" -exec rm {} \;
 # prepare the source tar (without the svn...)
 #
@@ -87,5 +90,6 @@
     ls -l ${localtarbase}
 fi
-if [ ${dotardata} -eq 1 ]
+#------------------------------------------------------------------
+if [ ${doTARdata} -eq 1 ]
 then
     localtarbase=/tmp/savesaxo_${$}
@@ -101,83 +105,98 @@
     ls -l ${localtarbase}
 fi
-#
+#------------------------------------------------------------------
 if [ ${doforge} -eq 1 ]
 then
     echo "iii : you will be asked saxo@forge.ipsl.jussieu.fr passwd two times"
-    if [ ${dotarsrc} -ne 1 ]
+    if [ ${doTARsrc} -ne 1 ]
     then
        localtarbase=${1} 
     fi
-    scp ${localtarbase}/*.tar.gz saxo@forge.ipsl.jussieu.fr:/ipsl/forge/projets/saxo/download/
+    scp ${localtarbase}/SAXO_*.tar.gz saxo@forge.ipsl.jussieu.fr:/ipsl/forge/projets/saxo/download/
     echo "iii : do not forget to update getsaxo.html"
     echo "iii : \$ ./makehtml.sh getsaxo"
     echo "iii : do not forget to clean ${localtarbase}"
 fi
-if [ $dolodyc -eq 1 ]
-then
-#
-# put the src files on cerbere
-#
-    cd ~/SAXO_RD
-    scp SAXO_RD_${ndate}.tar.gz smasson@cerbere.lodyc.jussieu.fr:.
-    cd ~/IDL
-    datafile=$( echo TestsData_*.tar.gz )
-    cat > job_$$ << EOF
+#------------------------------------------------------------------
+if [[ ($doSRClodyc -eq 1) || ($doDTAidris -eq 1) ]]
+then
+infosrc=$(ssh saxo@forge.ipsl.jussieu.fr ls -lht /ipsl/forge/projets/saxo/download/SAXO_SRC_*.tar.gz  | head -n 1)
+filesrc=$(echo ${infosrc} | awk '{print $NF}')
+filesrc=$( basename $filesrc )
+#
+    cat <<EOF > job_src_$$
 #!/bin/bash
-[ -f WWW/SAXO/DATA/$datafile ] && echo 0 || echo 1
+cd SAXO_DIR
+#
+rm -rf SRC
+wget http://forge.ipsl.jussieu.fr/saxo/download/$filesrc
+gunzip $filesrc
+tar xf $( basename $filesrc .gz )
+rm -f $( basename $filesrc .gz )
+#
+chmod -R 755 *
+exit
+#
 EOF
-    scp job_$$ smasson@cerbere.lodyc.jussieu.fr:.
-    err=$( ssh smasson@cerbere.lodyc.jussieu.fr \
-    "chmod 755 job_$$ ; ./job_$$ ; rm -f job4_$$" )
-    rm -f job_$$
-    [ $err -ne 0 ] && scp $datafile smasson@cerbere.lodyc.jussieu.fr:.
-#
-# create cerbere script...
-#
-    cd ~/SAXO_RD
-    cat <<EOF > job_$$
+fi
+#
+if [[ ($doDTAlodyc -eq 1) || ($doDTAidris -eq 1) ]]
+then
+infodata=$(ssh saxo@forge.ipsl.jussieu.fr ls -lht /ipsl/forge/projets/saxo/download/SAXO_DATA_*.tar.gz | head -n 1)
+filedata=$(echo ${infodata} | awk '{print $NF}')
+filedata=$(basename $filedata)
+    cat <<EOF > job_data_$$
 #!/bin/bash
-rm -rf WWW/SAXO/SRC SAXO_RD
-mkdir -p WWW/SAXO/SRC SAXO_RD
-[ ! -d  WWW/SAXO/DATA ] && mkdir -p WWW/SAXO/DATA
-# store SAXO_RD_${ndate}.tar.gz
-mv -f SAXO_RD_${ndate}.tar.gz WWW/SAXO/SRC/.
-# store $datafile
-if [ -f $datafile ]
-then
-    rm -f WWW/SAXO/DATA/TestsData_*.tar.gz
-    mv -f $datafile WWW/SAXO/DATA/.
-fi
-# redo SAXO_RD
-cd SAXO_RD
-ln -s ~/WWW/SAXO/SRC/SAXO_RD_${ndate}.tar.gz .
-tar xvfz SAXO_RD_${ndate}.tar.gz
-cd Tests
-ln -s ~/WWW/SAXO/DATA/TestsData_*.tar.gz .
-tar xvfz TestsData_*.tar.gz
-mkdir TestsData
-mv -f *.nc TestsData/.
-# redo WWW/SAXO
-cd /usr/home/smasson/WWW/SAXO/
-tar xvfz docall.tar.gz
-rm -f docall.tar.gz
-#
-cd
-chmod -R 755 SAXO_RD WWW
-# for rhodes...
-scp ~/WWW/SAXO/SRC/SAXO_RD_${ndate}.tar.gz reee217@rhodes.idris.fr:.
-ssh reee217@rhodes.idris.fr "rm -rf SAXO_RD ; mkdir SAXO_RD"
-ssh reee217@rhodes.idris.fr "mv SAXO_RD_${ndate}.tar.gz SAXO_RD/. ; cd SAXO_RD ; gunzip SAXO_RD_${ndate}.tar.gz"
-ssh reee217@rhodes.idris.fr "cd SAXO_RD ; tar xvf SAXO_RD_${ndate}.tar ; gzip SAXO_RD_${ndate}.tar"
-ssh reee217@rhodes.idris.fr "chmod -R 755 SAXO_RD"
+cd SAXO_DIR
+#
+rm -rf DATA
+wget http://forge.ipsl.jussieu.fr/saxo/download/$filedata
+gunzip $filedata
+tar xf $( basename $filedata .gz )
+rm -f $( basename $filedata .gz )
+#
+chmod -R 755 *
+exit
 #
 EOF
-#
-# update cerbere...
-#
-    scp job_$$ smasson@cerbere.lodyc.jussieu.fr:.
-    ssh smasson@cerbere.lodyc.jussieu.fr "chmod 755 job_$$ ; ./job_$$ ; rm -f job_$$"
-    rm -f job_$$
-#
-#
-fi
+fi
+#------------------------------------------------------------------
+if [ $doSRClodyc -eq 1 ]
+then
+# update src on cerbere
+#
+    echo "iii : update src on cerbere  cerbere"
+    scp job_src_$$ smasson@cerbere.lodyc.jussieu.fr:.
+    ssh smasson@cerbere.lodyc.jussieu.fr "chmod 755 job_src_$$ ; ./job_src_$$ ; rm -f job_src_$$"
+fi
+#------------------------------------------------------------------
+if [ $doDTAlodyc -eq 1 ]
+then
+# update data on cerbere
+    echo "iii : update data on cerbere"
+    scp job_data_$$ smasson@cerbere.lodyc.jussieu.fr:.
+    ssh smasson@cerbere.lodyc.jussieu.fr "chmod 755 job_data_$$ ; ./job_data_$$ ; rm -f job_data_$$"
+fi
+#------------------------------------------------------------------
+if [ $doSRCidris -eq 1 ]
+then
+# update src on rhodes
+    echo "iii : update src to rhodes"
+    scp job_src_$$ reee217@rhodes.idris.fr:.
+    ssh reee217@rhodes.idris.fr "chmod 755 job_src_$$ ; ./job_src_$$ ; rm -f job_src_$$"
+fi
+#------------------------------------------------------------------
+if [ $doDTAidris -eq 1 ]
+then
+# update data on gaya
+    echo "iii : update data to gaya"
+    scp job_data_$$ reee217@gaya.idris.fr:.
+    ssh reee217@gaya.idris.fr "chmod 755 job_data_$$ ; ./job_data_$$ ; rm -f job_data_$$"
+fi
+#------------------------------------------------------------------
+#
+[ -f job_src_$$ ] && rm -f job_src_$$
+[ -f job_data_$$ ] && rm -f 
+#
+exit
+#
Index: trunk/SRC/Documentation/xmldoc/updatesaxo.html
===================================================================
--- trunk/SRC/Documentation/xmldoc/updatesaxo.html	(revision 87)
+++ trunk/SRC/Documentation/xmldoc/updatesaxo.html	(revision 88)
@@ -24,5 +24,5 @@
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">svn</strong></span> <code class="option">status</code> <code class="option">-u</code> <em class="parameter"><code><code class="filename"><code class="envar">${HOME}</code>/SAXO_DIR</code></code></em></code></strong>
 	</pre><p>
-	Or, for example, if you want to check the status only of <code class="filename"><code class="envar">${HOME}</code>/SAXO_DIR/SRC</code> directory
+	Or, for example, if you only want to check the status of <code class="filename"><code class="envar">${HOME}</code>/SAXO_DIR/SRC</code> directory
 	</p><pre class="screen">
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">svn</strong></span> <code class="option">status</code> <code class="option">-u</code> <em class="parameter"><code><code class="filename"><code class="envar">${HOME}</code>/SAXO_DIR/SRC</code></code></em></code></strong>
@@ -32,5 +32,5 @@
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">svn</strong></span> <code class="option">update</code> <em class="parameter"><code><code class="filename"><code class="envar">${HOME}</code>/SAXO_DIR</code></code></em></code></strong>
 	</pre><p>
-	Or, for example, if you want to update only <code class="filename"><code class="envar">${HOME}</code>/SAXO_DIR/SRC</code> directory
+	Or, for example, if you only want to update <code class="filename"><code class="envar">${HOME}</code>/SAXO_DIR/SRC</code> directory
 	</p><pre class="screen">
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">svn</strong></span> <code class="option">update</code> <em class="parameter"><code><code class="filename"><code class="envar">${HOME}</code>/SAXO_DIR/SRC</code></code></em></code></strong>