Index: trunk/SRC/Documentation/xmldoc/main.html
===================================================================
--- trunk/SRC/Documentation/xmldoc/main.html	(revision 88)
+++ trunk/SRC/Documentation/xmldoc/main.html	(revision 89)
@@ -1,16 +1,16 @@
 <html><head>
       <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
-   <title>Main page of SAXO</title><link rel="stylesheet" href="saxo.css" type="text/css"><meta name="generator" content="DocBook XSL Stylesheets V1.69.1"><meta name="keywords" content="idl, SAXO"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="article" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="d0e1"></a>Main page of SAXO</h2></div><div><div class="authorgroup"><div class="author"><h3 class="author"><span class="firstname">S&eacute;bastien</span> <span class="surname">Masson</span></h3><code class="email">&lt;<a href="mailto:smasson_at_lodyc.jussieu.fr">smasson_at_lodyc.jussieu.fr</a>&gt;</code></div><div class="author"><h3 class="author"><span class="firstname">Fran&ccedil;oise</span> <span class="surname">Pinsard</span></h3><code class="email">&lt;<a href="mailto:Francoise.Pinsard_at_lodyc.jussieu.fr">Francoise.Pinsard_at_lodyc.jussieu.fr</a>&gt;</code></div></div></div><div><div class="revhistory"><table border="1" width="100%" summary="Revision history"><tr><th align="left" valign="top" colspan="2"><b>Revision History</b></th></tr><tr><td align="left">Revision 0.0</td><td align="left">June 2006</td></tr><tr><td align="left" colspan="2">First draft</td></tr></table></div></div></div><hr></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="sect1"><a href="#d0e37">1. What is SAXO</a></span></dt><dt><span class="sect1"><a href="#d0e55">2. What's new</a></span></dt><dt><span class="sect1"><a href="#d0e81">3. 
+   <title>Main page of SAXO</title><link rel="stylesheet" href="saxo.css" type="text/css"><meta name="generator" content="DocBook XSL Stylesheets V1.69.1"><meta name="keywords" content="idl, SAXO"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="article" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="d0e1"></a>Main page of SAXO</h2></div><div><div class="authorgroup"><div class="author"><h3 class="author"><span class="firstname">S&eacute;bastien</span> <span class="surname">Masson</span></h3><code class="email">&lt;<a href="mailto:smasson_at_lodyc.jussieu.fr">smasson_at_lodyc.jussieu.fr</a>&gt;</code></div><div class="author"><h3 class="author"><span class="firstname">Fran&ccedil;oise</span> <span class="surname">Pinsard</span></h3><code class="email">&lt;<a href="mailto:Francoise.Pinsard_at_lodyc.jussieu.fr">Francoise.Pinsard_at_lodyc.jussieu.fr</a>&gt;</code></div></div></div><div><div class="revhistory"><table border="1" width="100%" summary="Revision history"><tr><th align="left" valign="top" colspan="2"><b>Revision History</b></th></tr><tr><td align="left">Revision 0.0</td><td align="left">June 2006</td></tr><tr><td align="left" colspan="2">First draft</td></tr></table></div></div></div><hr></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="sect1"><a href="#d0e38">1. What is SAXO</a></span></dt><dt><span class="sect1"><a href="#d0e56">2. What's new</a></span></dt><dt><span class="sect1"><a href="#d0e82">3. 
 Get SAXO
-</a></span></dt><dt><span class="sect1"><a href="#d0e103">4. Support</a></span></dt><dt><span class="sect1"><a href="#d0e125">5. 
+</a></span></dt><dt><span class="sect1"><a href="#d0e104">4. Support</a></span></dt><dt><span class="sect1"><a href="#d0e126">5. 
 Documentation
-</a></span></dt><dt><span class="sect1"><a href="#d0e142">6. SAXO team</a></span></dt></dl></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e37"></a>1.&nbsp;What is SAXO</h2></div></div></div><p>
+</a></span></dt><dt><span class="sect1"><a href="#d0e151">6. SAXO team</a></span></dt></dl></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e38"></a>1.&nbsp;What is SAXO</h2></div></div></div><p>
 SAXO is a package (~400 routines, ~60 000 code lines) used to easily and quickly visualize and analyze models outputs or data observations. It is based on <a href="http://www.ittvis.com/idl/" target="_top"><span class="trademark">IDL</span>&#8482;</a> and contains a Graphic User Interface. Developed in collaboration with <a href="http://www.lodyc.jussieu.fr/" target="_top">LOCEAN</a> researchers, it allows to explore four dimension data which may be gridded or irregularly spaced. It is particularly adapted to the "Arakawa C grid" discretization used in <a href="http://www.lodyc.jussieu.fr/NEMO/" target="_top">NEMO</a>. In addition to graphical procedures, interpolation modules and other things..., it contains a set of programs dedicated to oceanographic diagnostics. <a href="../../saxo/browser/trunk/SRC/Documentation/xmldoc/whatissaxo.html?format=raw" target="_top">More...</a> 
-</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e55"></a>2.&nbsp;What's new</h2></div></div></div><div class="itemizedlist"><ul type="disc"><li><p>
+</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e56"></a>2.&nbsp;What's new</h2></div></div></div><div class="itemizedlist"><ul type="disc"><li><p>
 March 2006-May 2006 : migration for <span class="bold"><strong>obsolete</strong></span> CVS repository + S&eacute;bastion Masson improvments
 in a beautiful &#8220;<span class="quote"><span class="application">trac</span>+<span class="application">svn</span></span>&#8221; project on <code class="systemitem">http:://forge.ipsl.jussieu.fr/saxo/</code>.
 </p></li><li><p>
 More details in <a href="../../saxo/browser/trunk/SRC/Documentation/xmldoc/whatsnew.html?format=raw" target="_top">What's new in SAXO</a>
-</p></li></ul></div></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e81"></a>3.&nbsp;
+</p></li></ul></div></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e82"></a>3.&nbsp;
 Get SAXO
 </h2></div></div></div><div class="itemizedlist"><ul type="disc"><li><p>
@@ -20,5 +20,5 @@
 </p></li><li><p>
 <a href="../../saxo/browser/trunk" target="_top">Browse</a> SAXO
-</p></li></ul></div></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e103"></a>4.&nbsp;Support</h2></div></div></div><div class="itemizedlist"><ul type="disc"><li><p>
+</p></li></ul></div></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e104"></a>4.&nbsp;Support</h2></div></div></div><div class="itemizedlist"><ul type="disc"><li><p>
 <a href="../../saxo/browser/trunk/SRC/Documentation/xmldoc/mailing.html?format=raw" target="_top">mailing lists</a> (subscribtion and archives).
 </p></li><li><p>
@@ -26,11 +26,14 @@
 </p></li><li><p>
 FAQ (to be created...)
-</p></li></ul></div></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e125"></a>5.&nbsp;
+</p></li></ul></div></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e126"></a>5.&nbsp;
 Documentation
 </h2></div></div></div><p>
 <a href="../../saxo/browser/trunk/SRC/Documentation/xmldoc/firststeps.html?format=raw" target="_top">First Steps</a> with saxo. See also plots of First Steps in <a href="../../saxo/browser/trunk/SRC/Documentation/xmldoc/all_plots.html?format=raw" target="_top">All plots</a>
 </p><p>
-Some useful <a href="../../saxo/browser/trunk/SRC/Documentation/xmldoc/tiplink.html?format=raw" target="_top">Tips and links</a>
-</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e142"></a>6.&nbsp;SAXO team</h2></div></div></div><div class="variablelist"><dl><dt><span class="term">
+<span class="application">IDLdoc</span> documentations set is available using 
+<a href="../../saxo/browser/trunk/SRC/Documentation/idldoc_html_output/index.html?format=raw" target="_top">SRC/Documentation/idldoc_html_output/index.html</a>.
+</p><p>
+Some useful <a href="../../saxo/browser/trunk/SRC/Documentation/xmldoc/tiplink.html?format=raw" target="_top">Tips and links</a>.
+</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e151"></a>6.&nbsp;SAXO team</h2></div></div></div><div class="variablelist"><dl><dt><span class="term">
 S&eacute;bastien Masson 
 </span></dt><dd>
Index: trunk/SRC/Documentation/xmldoc/main.xml
===================================================================
--- trunk/SRC/Documentation/xmldoc/main.xml	(revision 88)
+++ trunk/SRC/Documentation/xmldoc/main.xml	(revision 89)
@@ -4,4 +4,7 @@
 []>
 <article>
+<!--
+ do not forget to modify WikiStart page if you modify this file
+-->
 <title>Main page of SAXO</title> 
   <articleinfo>
@@ -105,5 +108,9 @@
 </para>
 <para>
-Some useful <ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/tiplink.html?format=raw">Tips and links</ulink>
+<application>IDLdoc</application> documentations set is available using 
+<ulink url="../../saxo/browser/trunk/SRC/Documentation/idldoc_html_output/index.html?format=raw">SRC/Documentation/idldoc_html_output/index.html</ulink>.
+</para>
+<para>
+Some useful <ulink url="../../saxo/browser/trunk/SRC/Documentation/xmldoc/tiplink.html?format=raw">Tips and links</ulink>.
 </para>
 </sect1>
Index: trunk/SRC/Documentation/xmldoc/savesaxo.sh
===================================================================
--- trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 88)
+++ trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 89)
@@ -1,3 +1,5 @@
 #!/bin/bash
+# fplod 2006-06-07T08:14:15Z aedon.locean-ipsl.upmc.fr (Darwin)
+# add action for idldochtml
 # fplod 2006-06-02T14:28:30Z aedon.locean-ipsl.upmc.fr (Darwin)
 # modification to produce tar files in /tmp/saxo_${$} when dotar=1
@@ -10,8 +12,8 @@
 dohtml=0
 dooldtest=0
-doidldoc_html=0
+doidldoc_html=1
 doidldoc_assistant=0
 doidlwavedoc=0
-doTARsrc=1
+doTARsrc=0
 doTARdata=0
 doforge=1
@@ -64,5 +66,52 @@
 then
 #
-    echo "eee : pas encore ecrit"
+    # build a idl file to launch idldoc
+    cat <<EOF > idldoc_html_${$}.pro
+!path = expand_path('+' + '../idldoc/')
+print,!path
+idldoc,root="../../",LOG_FILE="/tmp/idldochtlm_${$}.log", $
+output="../idldoc_html_output"
+exit
+EOF
+    # launch idl with the file built above
+    IDL_STARTUP=idldoc_html_${$}.pro;idl
+    /bin/rm idldoc_html_${$}.pro
+    # In order to do not have to many revision in svn, we modify some
+    # lines produced by idldoc :
+    # examples :
+    # <!-- Generated by IDLdoc 2.0 on Wed Jun  7 10:25:28 2006 -->
+    # will be replaced by
+    # <!-- Generated by IDLdoc 2.0 -->
+    # <div id="tagline">Produced by IDLdoc 2.0 on Wed Jun  7 10:54:37 2006.</div
+    # will be replaced by
+    # <div id="tagline">Produced by IDLdoc 2.0</div>
+    # <h2>Produced on Wed Jun  7 10:23:13 2006</h2>
+    # will be delete 
+    # other lines will be deleted because the time is the time of checkout not 
+    # the time of revision.
+    # the sequence of lines
+    #<dl>
+    #      <dt>Last modification:</dt>
+    #       <dd>Fri Jun  2 11:46:24 2006</dd>
+    #    </dl>
+    # should also be removed ++ je ne sais pas dire en sed la ligne
+    # suivant l'occurence de Last modification
+    # add ?format=rawx to links on html files
+    list_html=$(find ../idldoc_html_output/ -name "*.html")
+    for file_html in ${list_html}
+    do
+     sed \
+     -e "s/\(Generated by IDLdoc 2.0\)\( on .*\)\( -->\)/\1\3/" \
+     -e "s/\(Produced by IDLdoc 2.0\)\( on .*\)\(\.<\/div>\)/\1\3/" \
+     -e "/<h2>Produced on/d" \
+     -e "/Last modification:/d" \
+     -e "/<dd>... ... .* ..:..:.. ....<\/dd>/d" \
+     -e 's/\(href=".*\)\(\.html\)\("\)/\1\2?format=raw\3/' \
+     -e 's/\(href=".*\)\(\.html\)\(#.*"\)/\1\2?format=raw\3/' \
+     ${file_html} > ${file_html}_modify
+     mv ${file_html}_modify ${file_html}
+    done
+    echo "iii : you can see log file in /tmp/idldochtlm_${$}.log"
+    echo "iii : and look ../idldoc_html_output/idldoc-warnings.html#undoc"
     exit 1
 fi
@@ -87,5 +136,5 @@
 #
 #   informations
-    echo "iii : following file may be copied on http://forge.ipsl.jussieu.fr/saxo/download/" 
+    echo "iii : following file may be copied on http://forge.ipsl.jussieu.fr/saxo/download/"
     ls -l ${localtarbase}
 fi
@@ -102,5 +151,5 @@
 #
 #   informations
-    echo "iii : following file may be copied on http://forge.ipsl.jussieu.fr/saxo/download/" 
+    echo "iii : following file may be copied on http://forge.ipsl.jussieu.fr/saxo/download/"
     ls -l ${localtarbase}
 fi
@@ -111,5 +160,5 @@
     if [ ${doTARsrc} -ne 1 ]
     then
-       localtarbase=${1} 
+       localtarbase=${1}
     fi
     scp ${localtarbase}/SAXO_*.tar.gz saxo@forge.ipsl.jussieu.fr:/ipsl/forge/projets/saxo/download/
@@ -197,6 +246,6 @@
 #
 [ -f job_src_$$ ] && rm -f job_src_$$
-[ -f job_data_$$ ] && rm -f 
-#
-exit
-#
+[ -f job_data_$$ ] && rm -f
+#
+exit
+#