Index: trunk/SRC/Documentation/xmldoc/infoupdatekwd.html
===================================================================
--- trunk/SRC/Documentation/xmldoc/infoupdatekwd.html	(revision 92)
+++ trunk/SRC/Documentation/xmldoc/infoupdatekwd.html	(revision 92)
@@ -0,0 +1,9 @@
+<html><head>
+      <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
+   <title>Keywords translation</title><link rel="stylesheet" href="saxo.css" type="text/css"><meta name="generator" content="DocBook XSL Stylesheets V1.69.1"><meta name="keywords" content="idl, SAXO"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="article" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="d0e1"></a>Keywords translation</h2></div><div><div class="authorgroup"><div class="author"><h3 class="author"><span class="firstname">S&eacute;bastien</span> <span class="surname">Masson</span></h3><code class="email">&lt;<a href="mailto:smasson_at_lodyc.jussieu.fr">smasson_at_lodyc.jussieu.fr</a>&gt;</code></div><div class="author"><h3 class="author"><span class="firstname">Fran&ccedil;oise</span> <span class="surname">Pinsard</span></h3><code class="email">&lt;<a href="mailto:Francoise.Pinsard_at_lodyc.jussieu.fr">Francoise.Pinsard_at_lodyc.jussieu.fr</a>&gt;</code></div></div></div><div><div class="revhistory"><table border="1" width="100%" summary="Revision history"><tr><th align="left" valign="top" colspan="2"><b>Revision History</b></th></tr><tr><td align="left">Revision 0.0</td><td align="left">June 2006</td></tr><tr><td align="left" colspan="2">First draft</td></tr></table></div></div></div><hr></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="sect1"><a href="#d0e37">1. Introduction</a></span></dt><dt><span class="sect1"><a href="#d0e44">2. Keywords translations</a></span></dt></dl></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e37"></a>1.&nbsp;Introduction</h2></div></div></div><p>
+Since Changeset 68 (2006-05-09), keywords may have to be translated.
+</p><p>
+blabla keepcompatibility ++
+</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e44"></a>2.&nbsp;Keywords translations</h2></div></div></div><p>
+According to the last release of <code class="filename">updatekwd.pro</code>
+</p><div class="informaltable"><table border="1"><colgroup><col><col></colgroup><thead><tr><th>Old</th><th>New</th></tr></thead><tbody><tr><td>boite</td><td>boxzoom</td></tr><tr><td>carte</td><td>realcont</td></tr><tr><td>cont_thick</td><td>coast_thick</td></tr><tr><td>def_key_periodique</td><td>periodic</td></tr><tr><td>grille</td><td>gridtype</td></tr><tr><td>hzsurht</td><td>zratio</td></tr><tr><td>nocouleur</td><td>nofill</td></tr><tr><td>petit</td><td>small</td></tr><tr><td>petitdessin</td><td>small</td></tr><tr><td>ysurx</td><td>yxaspect</td></tr></tbody></table></div></div></div></body></html>
Index: trunk/SRC/Documentation/xmldoc/infoupdatekwd.xml
===================================================================
--- trunk/SRC/Documentation/xmldoc/infoupdatekwd.xml	(revision 92)
+++ trunk/SRC/Documentation/xmldoc/infoupdatekwd.xml	(revision 92)
@@ -0,0 +1,55 @@
+<?xml version='1.0' encoding='iso-8859-1'?>
+<!DOCTYPE article PUBLIC "-//OASIS//DTD DocBook XML V4.2//EN"
+"http://www.oasis-open.org/docbook/xml/4.2/docbookx.dtd" 
+[]>
+<article>
+<title>Keywords translation</title> 
+  <articleinfo>
+    <authorgroup>
+      <author><firstname>Sébastien</firstname> <surname>Masson</surname> <email>smasson_at_lodyc.jussieu.fr</email></author>
+      <author><firstname>Françoise</firstname> <surname>Pinsard</surname> <email>Francoise.Pinsard_at_lodyc.jussieu.fr</email></author>
+    </authorgroup>
+    <keywordset>
+      <keyword>idl</keyword>
+      <keyword>SAXO</keyword>
+    </keywordset>
+    <revhistory>
+      <revision>
+        <revnumber>0.0</revnumber>
+        <date>June 2006</date>
+        <revremark>First draft</revremark>
+      </revision>
+    </revhistory>  
+  </articleinfo>
+
+<sect1>
+<title>Introduction</title>
+<para>
+Since Changeset 68 (2006-05-09), keywords may have to be translated.
+</para>
+<para>
+blabla keepcompatibility ++
+</para>
+</sect1>
+<sect1>
+<title>Keywords translations</title>
+<para>
+According to the last release of <filename>updatekwd.pro</filename>
+</para>
+<informaltable  frame="all">
+<tgroup cols="2" colsep="1" rowsep="1">
+<colspec colname="old"/>
+<colspec colname="new"/>
+<thead>
+<row>
+<entry colname="old">Old</entry>
+<entry colname="new">New</entry>
+</row>
+</thead>
+<tbody>
+<!-- rows from updatekwd.pro -->
+</tbody>
+</tgroup>
+</informaltable>
+</sect1>
+</article>
Index: trunk/SRC/Documentation/xmldoc/makehtml.sh
===================================================================
--- trunk/SRC/Documentation/xmldoc/makehtml.sh	(revision 91)
+++ trunk/SRC/Documentation/xmldoc/makehtml.sh	(revision 92)
@@ -1,4 +1,6 @@
 #!/bin/bash
 #
+# fplod 2006-06-07T13:55:07Z aedon.locean-ipsl.upmc.fr (Darwin)
+# add infoupdatekwd
 # fplod 2006-06-02T14:37:47Z aedon.locean-ipsl.upmc.fr (Darwin)
 # take only one tar file : the most recent using modification time 
@@ -45,4 +47,8 @@
       ndate2=${ndate2%.tar.gz}
    ;;
+   infoupdatekwd)
+      grep "^  old = \[old, .* new = \[new" ../../ForOldVersion/updatekwd.pro | \
+      sed -e "s/\( old = \[old, '\)\(.*\)\('\] *& new = \[new, '\)\(.*\)\('\]\)/<row><entry colname='old'>\2<\/entry> <entry colname='new'>\4<\/entry><\/row>/" > /tmp/rows.xml
+   ;;
    *)
       echo "iii : no ndate determination needed"
@@ -185,4 +191,9 @@
           ${1}.xml > ${1}_${$}.xml 
    ;;
+   infoupdatekwd)
+      sed -e "/-- rows from updatekwd.pro --/r /tmp/rows.xml" \
+          ${1}.xml > ${1}_${$}.xml 
+      /bin/rm /tmp/rows.xml
+   ;;
    *)
       cp ${1}.xml ${1}_${$}.xml 
Index: trunk/SRC/Documentation/xmldoc/whatsnew.html
===================================================================
--- trunk/SRC/Documentation/xmldoc/whatsnew.html	(revision 91)
+++ trunk/SRC/Documentation/xmldoc/whatsnew.html	(revision 92)
@@ -1,5 +1,5 @@
 <html><head>
       <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
-   <title>What's new in SAXO</title><link rel="stylesheet" href="saxo.css" type="text/css"><meta name="generator" content="DocBook XSL Stylesheets V1.69.1"><meta name="keywords" content="idl, SAXO"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="article" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="d0e1"></a>What's new in SAXO</h2></div><div><div class="authorgroup"><div class="author"><h3 class="author"><span class="firstname">S&eacute;bastien</span> <span class="surname">Masson</span></h3><code class="email">&lt;<a href="mailto:smasson_at_lodyc.jussieu.fr">smasson_at_lodyc.jussieu.fr</a>&gt;</code></div><div class="author"><h3 class="author"><span class="firstname">Fran&ccedil;oise</span> <span class="surname">Pinsard</span></h3><code class="email">&lt;<a href="mailto:Francoise.Pinsard_at_lodyc.jussieu.fr">Francoise.Pinsard_at_lodyc.jussieu.fr</a>&gt;</code></div></div></div><div><div class="revhistory"><table border="1" width="100%" summary="Revision history"><tr><th align="left" valign="top" colspan="2"><b>Revision History</b></th></tr><tr><td align="left">Revision 0.0</td><td align="left">May 2006</td></tr><tr><td align="left" colspan="2">First draft</td></tr><tr><td align="left">Revision 0.1</td><td align="left">June 2006</td></tr><tr><td align="left" colspan="2">add date according to output of <span><strong class="command">svn</strong></span> log</td></tr></table></div></div></div><hr></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="sect1"><a href="#d0e48">1. Introduction</a></span></dt><dt><span class="sect1"><a href="#d0e55">2. Changeset 73 (2006-05-22)</a></span></dt><dt><span class="sect1"><a href="#d0e71">3. Changeset 69 (2006-05-11)</a></span></dt><dt><span class="sect1"><a href="#d0e81">4. Changeset 68 (2006-05-09)</a></span></dt><dt><span class="sect1"><a href="#d0e91">5. Changeset 7 (2006-04-24)</a></span></dt><dt><span class="sect1"><a href="#d0e101">6. Changeset 2 (revision date=2002-09-11 actually done 2006-04-13)</a></span></dt></dl></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e48"></a>1.&nbsp;Introduction</h2></div></div></div><p>
+   <title>What's new in SAXO</title><link rel="stylesheet" href="saxo.css" type="text/css"><meta name="generator" content="DocBook XSL Stylesheets V1.69.1"><meta name="keywords" content="idl, SAXO"></head><body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF"><div class="article" lang="en"><div class="titlepage"><div><div><h2 class="title"><a name="d0e1"></a>What's new in SAXO</h2></div><div><div class="authorgroup"><div class="author"><h3 class="author"><span class="firstname">S&eacute;bastien</span> <span class="surname">Masson</span></h3><code class="email">&lt;<a href="mailto:smasson_at_lodyc.jussieu.fr">smasson_at_lodyc.jussieu.fr</a>&gt;</code></div><div class="author"><h3 class="author"><span class="firstname">Fran&ccedil;oise</span> <span class="surname">Pinsard</span></h3><code class="email">&lt;<a href="mailto:Francoise.Pinsard_at_lodyc.jussieu.fr">Francoise.Pinsard_at_lodyc.jussieu.fr</a>&gt;</code></div></div></div><div><div class="revhistory"><table border="1" width="100%" summary="Revision history"><tr><th align="left" valign="top" colspan="2"><b>Revision History</b></th></tr><tr><td align="left">Revision 0.0</td><td align="left">May 2006</td></tr><tr><td align="left" colspan="2">First draft</td></tr><tr><td align="left">Revision 0.1</td><td align="left">June 2006</td></tr><tr><td align="left" colspan="2">add date according to output of <span><strong class="command">svn</strong></span> log</td></tr></table></div></div></div><hr></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="sect1"><a href="#d0e48">1. Introduction</a></span></dt><dt><span class="sect1"><a href="#d0e55">2. Changeset 73 (2006-05-22)</a></span></dt><dt><span class="sect1"><a href="#d0e71">3. Changeset 69 (2006-05-11)</a></span></dt><dt><span class="sect1"><a href="#d0e81">4. Changeset 68 (2006-05-09)</a></span></dt><dt><span class="sect1"><a href="#d0e96">5. Changeset 7 (2006-04-24)</a></span></dt><dt><span class="sect1"><a href="#d0e106">6. Changeset 2 (revision date=2002-09-11 actually done 2006-04-13)</a></span></dt></dl></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e48"></a>1.&nbsp;Introduction</h2></div></div></div><p>
 Here are listed major revisions.
 </p><p>
@@ -16,10 +16,12 @@
 This revision is equivalent to SAXO_RD 20060124.
 </p><p>
+See <a href="infoupdatekwd.html?format=raw" target="_top">Keywords translation</a>.
+</p><p>
 Details can be seen in <a href="http://forge.ipsl.jussieu.fr/saxo/changeset/68" target="_top">Changeset 68</a>.
-</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e91"></a>5.&nbsp;Changeset 7 (2006-04-24)</h2></div></div></div><p>
+</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e96"></a>5.&nbsp;Changeset 7 (2006-04-24)</h2></div></div></div><p>
 This revision is equivalent to IDL_RD.
 </p><p>
 Details can be seen in <a href="http://forge.ipsl.jussieu.fr/saxo/changeset/7" target="_top">Changeset 7</a>.
-</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e101"></a>6.&nbsp;Changeset 2 (revision date=2002-09-11 actually done 2006-04-13)</h2></div></div></div><p>
+</p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="d0e106"></a>6.&nbsp;Changeset 2 (revision date=2002-09-11 actually done 2006-04-13)</h2></div></div></div><p>
 This revision is equivalent to <span class="bold"><strong>obsolete</strong></span> CVS repository.
 </p><p>
Index: trunk/SRC/Documentation/xmldoc/whatsnew.xml
===================================================================
--- trunk/SRC/Documentation/xmldoc/whatsnew.xml	(revision 91)
+++ trunk/SRC/Documentation/xmldoc/whatsnew.xml	(revision 92)
@@ -64,4 +64,7 @@
 </para>
 <para>
+See <ulink url="infoupdatekwd.html?format=raw">Keywords translation</ulink>.
+</para>
+<para>
 Details can be seen in <ulink url="http://forge.ipsl.jussieu.fr/saxo/changeset/68">Changeset 68</ulink>.
 </para>