Index: trunk/SRC/Documentation/idldoc_html_output/Utilities/createfunc.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Utilities/createfunc.html	(revision 93)
+++ trunk/SRC/Documentation/idldoc_html_output/Utilities/createfunc.html	(revision 97)
@@ -87,5 +87,7 @@
       </div>
 
-      <div id="file_comments"></div>
+      <div id="file_comments"> write an idl function, compile it and execute it.
+ usefull to avoid the use of execute
+</div>
 
       
@@ -107,8 +109,5 @@
 	    <span class="result">result = </span>createfunc(<span class="result"><a href="#_createfunc_param_command">command</a></span>, <a href="#_createfunc_keyword_FILENAMEIN">FILENAMEIN</a>=<span class="result">FILENAMEIN</span>, <a href="#_createfunc_keyword_KWDLIST">KWDLIST</a>=<span class="result">KWDLIST</span>, <a href="#_createfunc_keyword__extra">_extra</a>=<span class="result">_extra</span>)</p>
 	
-	  <div class="comments">
- write an idl function, compile it and execute it.
- usefull to avoid the use of execute
-</div>
+	  <div class="comments"></div>
 
 	  
Index: trunk/SRC/Documentation/idldoc_html_output/Utilities/createpro.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Utilities/createpro.html	(revision 93)
+++ trunk/SRC/Documentation/idldoc_html_output/Utilities/createpro.html	(revision 97)
@@ -87,5 +87,6 @@
       </div>
 
-      <div id="file_comments"></div>
+      <div id="file_comments"> write an idl procedure, compile it and execute it.
+</div>
 
       
@@ -107,7 +108,5 @@
 	    createpro<span class="result">, <a href="#_createpro_param_command">command</a></span>, <a href="#_createpro_keyword_FILENAMEIN">FILENAMEIN</a>=<span class="result">FILENAMEIN</span>, <a href="#_createpro_keyword_KWDLIST">KWDLIST</a>=<span class="result">KWDLIST</span>, <a href="#_createpro_keyword_KWDUSED">KWDUSED</a>=<span class="result">KWDUSED</span>, <a href="#_createpro_keyword__extra">_extra</a>=<span class="result">_extra</span></p>
 	
-	  <div class="comments">
- write an idl procedure, compile it and execute it.
-</div>
+	  <div class="comments"></div>
 
 	  
Index: trunk/SRC/Documentation/idldoc_html_output/Utilities/def_myuniquetmpdir.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Utilities/def_myuniquetmpdir.html	(revision 93)
+++ trunk/SRC/Documentation/idldoc_html_output/Utilities/def_myuniquetmpdir.html	(revision 97)
@@ -87,5 +87,6 @@
       </div>
 
-      <div id="file_comments"> SIDE EFFECTS: see purpose
+      <div id="file_comments"> if needed, define and create myuniquetmpdir
+ (common variable from cm_general) and add it to !path
 </div>
 
@@ -109,8 +110,5 @@
 	    def_myuniquetmpdir</p>
 	
-	  <div class="comments">
- if needed, define and create myuniquetmpdir
- (common variable from cm_general) and add it to !path
-</div>
+	  <div class="comments"></div>
 
 	  
Index: trunk/SRC/Documentation/idldoc_html_output/Utilities/demomode_compatibility.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Utilities/demomode_compatibility.html	(revision 93)
+++ trunk/SRC/Documentation/idldoc_html_output/Utilities/demomode_compatibility.html	(revision 97)
@@ -128,8 +128,8 @@
 	  
 	
+	  <h3>Other attributes</h3>
 	  
 	  
-	  
-	  
+	  <h4>Uses routines</h4><div class="value"> cm_general</div>
 	  
 	  
Index: trunk/SRC/Documentation/idldoc_html_output/Utilities/directory-overview.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Utilities/directory-overview.html	(revision 93)
+++ trunk/SRC/Documentation/idldoc_html_output/Utilities/directory-overview.html	(revision 97)
@@ -90,11 +90,11 @@
       
 	<dt><a href="createfunc.html?format=raw">createfunc.pro</a></dt>
-	<dd></dd>
+	<dd> write an idl function, compile it and execute it.</dd>
       
 	<dt><a href="createpro.html?format=raw">createpro.pro</a></dt>
-	<dd></dd>
+	<dd> write an idl procedure, compile it and execute it.</dd>
       
 	<dt><a href="def_myuniquetmpdir.html?format=raw">def_myuniquetmpdir.pro</a></dt>
-	<dd> SIDE EFFECTS: see purpose </dd>
+	<dd> if needed, define and create myuniquetmpdir  (common variable from cm_general) and add it to !path </dd>
       
 	<dt><a href="demomode_compatibility.html?format=raw">demomode_compatibility.pro</a></dt>
@@ -102,14 +102,14 @@
       
 	<dt><a href="find.html?format=raw">find.pro</a></dt>
-	<dd>  all file_search keywords can be used.</dd>
+	<dd> based on file_search, but it is possible to speficy           a set of possibles names and a different set of           possibles directories names.</dd>
       
 	<dt><a href="isadirectory.html?format=raw">isadirectory.pro</a></dt>
-	<dd>  all dialog_pickfile keywords (like filter) can be used.</dd>
+	<dd> check if a directory exists and make sure that it ends           with the directory separator mark.</dd>
       
 	<dt><a href="isafile.html?format=raw">isafile.pro</a></dt>
-	<dd> all find, file_search and dialog_pickfile keywords (like title) can be used </dd>
+	<dd> same as find.</dd>
       
 	<dt><a href="protype.html?format=raw">protype.pro</a></dt>
-	<dd></dd>
+	<dd> test is a ".</dd>
       
       </dl>
Index: trunk/SRC/Documentation/idldoc_html_output/Utilities/find.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Utilities/find.html	(revision 93)
+++ trunk/SRC/Documentation/idldoc_html_output/Utilities/find.html	(revision 97)
@@ -87,32 +87,32 @@
       </div>
 
-      <div id="file_comments">  all file_search keywords can be used.
-</div>
-
-      
-
-      
-
-      
-
-      
-
-      <div id="routine_details">
-	
-
-	<div class="routine_details" id="_find">
-
-	  <h2><a class="top" href="#container">top</a>find <span class="categories"> find a file
-</span></h2>
-	
-	  <p class="header">
-	    <span class="result">result = </span>find(<span class="result"><a href="#_find_param_filein">filein</a></span>, <a href="#_find_keyword_IODIRECTORY">IODIRECTORY</a>=<span class="result">IODIRECTORY</span>, <a href="#_find_keyword_RECURSIVE">RECURSIVE</a>=<span class="result">RECURSIVE</span>, <a href="#_find_keyword_REPERTOIRE">REPERTOIRE</a>=<span class="result">REPERTOIRE</span>, <a href="#_find_keyword_NOPRO">NOPRO</a>=<span class="result">NOPRO</span>, <a href="#_find_keyword_ONLYPRO">ONLYPRO</a>=<span class="result">ONLYPRO</span>, <a href="#_find_keyword_ONLYNC">ONLYNC</a>=<span class="result">ONLYNC</span>, <a href="#_find_keyword_UNIQUE">UNIQUE</a>=<span class="result">UNIQUE</span>, <a href="#_find_keyword_FIRSTFOUND">FIRSTFOUND</a>=<span class="result">FIRSTFOUND</span>, <a href="#_find_keyword_LOOKALLDIR">LOOKALLDIR</a>=<span class="result">LOOKALLDIR</span>, <a href="#_find_keyword__extra">_extra</a>=<span class="result">_extra</span>)</p>
-	
-	  <div class="comments">
- based on file_search, but it is possible to speficy
+      <div id="file_comments"> based on file_search, but it is possible to speficy
           a set of possibles names and a different set of
           possibles directories names.
           By defaut look for files included in !path
-</div>
+
+ all file_search keywords can be used.
+</div>
+
+      
+
+      
+
+      
+
+      
+
+      <div id="routine_details">
+	
+
+	<div class="routine_details" id="_find">
+
+	  <h2><a class="top" href="#container">top</a>find <span class="categories"> find a file
+</span></h2>
+	
+	  <p class="header">
+	    <span class="result">result = </span>find(<span class="result"><a href="#_find_param_filein">filein</a></span>, <a href="#_find_keyword_IODIRECTORY">IODIRECTORY</a>=<span class="result">IODIRECTORY</span>, <a href="#_find_keyword_RECURSIVE">RECURSIVE</a>=<span class="result">RECURSIVE</span>, <a href="#_find_keyword_REPERTOIRE">REPERTOIRE</a>=<span class="result">REPERTOIRE</span>, <a href="#_find_keyword_NOPRO">NOPRO</a>=<span class="result">NOPRO</span>, <a href="#_find_keyword_ONLYPRO">ONLYPRO</a>=<span class="result">ONLYPRO</span>, <a href="#_find_keyword_ONLYNC">ONLYNC</a>=<span class="result">ONLYNC</span>, <a href="#_find_keyword_UNIQUE">UNIQUE</a>=<span class="result">UNIQUE</span>, <a href="#_find_keyword_FIRSTFOUND">FIRSTFOUND</a>=<span class="result">FIRSTFOUND</span>, <a href="#_find_keyword_LOOKALLDIR">LOOKALLDIR</a>=<span class="result">LOOKALLDIR</span>, <a href="#_find_keyword__extra">_extra</a>=<span class="result">_extra</span>)</p>
+	
+	  <div class="comments"></div>
 
 	  <h3>Return value</h3><div class="value"> A scalar or array variable of string type, containing the
Index: trunk/SRC/Documentation/idldoc_html_output/Utilities/isadirectory.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Utilities/isadirectory.html	(revision 93)
+++ trunk/SRC/Documentation/idldoc_html_output/Utilities/isadirectory.html	(revision 97)
@@ -87,5 +87,8 @@
       </div>
 
-      <div id="file_comments">  all dialog_pickfile keywords (like filter) can be used.
+      <div id="file_comments"> check if a directory exists and make sure that it ends 
+         with the directory separator mark.
+
+ all dialog_pickfile keywords (like filter) can be used.
 </div>
 
@@ -109,8 +112,5 @@
 	    <span class="result">result = </span>isadirectory(<span class="result">[<a href="#_isadirectory_param_directoryin">directoryin</a>]</span>, <a href="#_isadirectory_keyword_TITLE">TITLE</a>=<span class="result">TITLE</span>, <a href="#_isadirectory_keyword_IODIRECTORY">IODIRECTORY</a>=<span class="result">IODIRECTORY</span>, <a href="#_isadirectory_keyword__extra">_extra</a>=<span class="result">_extra</span>)</p>
 	
-	  <div class="comments">
- check if a directory exists and make sure that it ends 
-         with the directory separator mark.
-</div>
+	  <div class="comments"></div>
 
 	  <h3>Return value</h3><div class="value"> the directory name
Index: trunk/SRC/Documentation/idldoc_html_output/Utilities/isafile.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Utilities/isafile.html	(revision 93)
+++ trunk/SRC/Documentation/idldoc_html_output/Utilities/isafile.html	(revision 97)
@@ -87,6 +87,8 @@
       </div>
 
-      <div id="file_comments"> all find, file_search and dialog_pickfile keywords (like title)
-can be used
+      <div id="file_comments"> same as find.pro except that as long as the file is 'NOT FOUND',
+          isafile calls dialog_pickfile, to ask the user to select a file.
+
+ all find, file_search and dialog_pickfile keywords (like title) can be used
 </div>
 
@@ -111,8 +113,5 @@
 	    <span class="result">result = </span>isafile(<span class="result">[<a href="#_isafile_param_filein">filein</a>]</span>, <a href="#_isafile_keyword_FILENAME">FILENAME</a>=<span class="result">FILENAME</span>, <a href="#_isafile_keyword_IODIRECTORY">IODIRECTORY</a>=<span class="result">IODIRECTORY</span>, <a href="#_isafile_keyword_NEW">NEW</a>=<span class="result">NEW</span>, <a href="#_isafile_keyword_RECURSIVE">RECURSIVE</a>=<span class="result">RECURSIVE</span>, <a href="#_isafile_keyword_ONLYPRO">ONLYPRO</a>=<span class="result">ONLYPRO</span>, <a href="#_isafile_keyword_ONLYNC">ONLYNC</a>=<span class="result">ONLYNC</span>, <a href="#_isafile_keyword__extra">_extra</a>=<span class="result">_extra</span>)</p>
 	
-	  <div class="comments">
- same as find.pro except that as long as the file is 'NOT FOUND',
-          isafile calls dialog_pickfile, to ask the user to select a file.
-</div>
+	  <div class="comments"></div>
 
 	  <h3>Return value</h3><div class="value"> the filename with its path
Index: trunk/SRC/Documentation/idldoc_html_output/Utilities/protype.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Utilities/protype.html	(revision 93)
+++ trunk/SRC/Documentation/idldoc_html_output/Utilities/protype.html	(revision 97)
@@ -87,5 +87,7 @@
       </div>
 
-      <div id="file_comments"></div>
+      <div id="file_comments"> test is a ".pro" file corresponds to an IDL procedure,
+          function or batch file.
+</div>
 
       
@@ -108,8 +110,5 @@
 	    <span class="result">result = </span>protype(<span class="result"><a href="#_protype_param_file">file</a></span>)</p>
 	
-	  <div class="comments">
- test is a ".pro" file corresponds to an IDL procedure,
-          function or batch file.
-</div>
+	  <div class="comments"></div>
 
 	  <h3>Return value</h3><div class="value"> A scalar of string type: 'proc', 'func' or 'batch'