Index: trunk/SRC/Documentation/xmldoc/getsaxo.html
===================================================================
--- trunk/SRC/Documentation/xmldoc/getsaxo.html	(revision 98)
+++ trunk/SRC/Documentation/xmldoc/getsaxo.html	(revision 100)
@@ -10,5 +10,5 @@
       Get <span class="application">SAXO</span> files
     </a></span></dt><dd><dl><dt><span class="sect2"><a href="#saxo_local">2.1. 
-	If you work at IDRIS or LOCEAN
+	If you work at IDRIS, IPSL or LOCEAN
       </a></span></dt><dt><span class="sect2"><a href="#saxo_svn">2.2. 
 	If <span class="application"> Subversion (svn)</span> is installed on your machine
@@ -31,11 +31,13 @@
       Get <span class="application">SAXO</span> files
     </h2></div></div></div><div class="sect2" lang="en"><div class="titlepage"><div><div><h3 class="title"><a name="saxo_local"></a>2.1.&nbsp;
-	If you work at IDRIS or LOCEAN
+	If you work at IDRIS, IPSL or LOCEAN
       </h3></div></div></div><p>
 	<span class="application">SAXO</span> is already installed at
-	</p><div class="itemizedlist"><ul type="disc"><li>IDRIS, on rhodes: <code class="filename">/home/rech/eee/reee217/SAXO_DIR</code></li><li>LOCEAN: <code class="filename">/usr/home/smasson/SAXO_DIR</code></li></ul></div><p>
+	</p><div class="itemizedlist"><ul type="disc"><li>IDRIS, on rhodes: <code class="filename">/home/rech/eee/reee217/SAXO_DIR</code></li><li>IPSL: <code class="filename">/home/smlod/SAXO_DIR</code></li><li>LOCEAN: <code class="filename">/usr/home/smasson/SAXO_DIR</code></li></ul></div><p>
 	If you can access one of theses directories, there is no need to re-install <span class="application">SAXO</span> again! In that case, you only have to link <code class="filename"><code class="envar">${HOME}</code>/SAXO_DIR</code> to the appropiate directory:
 	</p><div class="variablelist"><dl><dt><span class="term"><span><strong class="command">IDRIS</strong></span></span></dt><dd><pre class="screen">
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">ln</strong></span> <code class="option">-s</code> <em class="parameter"><code>/home/rech/eee/reee217/SAXO_DIR</code></em> <em class="parameter"><code><code class="envar">${HOME}</code>/SAXO_DIR</code></em></code></strong>
+	  </pre></dd><dt><span class="term"><span><strong class="command">IPSL</strong></span></span></dt><dd><pre class="screen">
+  <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">ln</strong></span> <code class="option">-s</code> <em class="parameter"><code>/home/smlod/SAXO_DIR</code></em> <em class="parameter"><code><code class="envar">${HOME}</code>/SAXO_DIR</code></em></code></strong>
 	  </pre></dd><dt><span class="term"><span><strong class="command">LOCEAN</strong></span></span></dt><dd><pre class="screen">
   <code class="prompt">$</code> <strong class="userinput"><code><span><strong class="command">ln</strong></span> <code class="option">-s</code> <em class="parameter"><code>/usr/home/smasson/SAXO_DIR</code></em> <em class="parameter"><code><code class="envar">${HOME}</code>/SAXO_DIR</code></em></code></strong>
Index: trunk/SRC/Documentation/xmldoc/getsaxo.xml
===================================================================
--- trunk/SRC/Documentation/xmldoc/getsaxo.xml	(revision 98)
+++ trunk/SRC/Documentation/xmldoc/getsaxo.xml	(revision 100)
@@ -66,5 +66,5 @@
     <sect2 id="saxo_local">
       <title>
-	If you work at IDRIS or LOCEAN
+	If you work at IDRIS, IPSL or LOCEAN
       </title>
       <para>
@@ -72,4 +72,5 @@
 	<itemizedlist>
 	  <listitem><simpara>IDRIS, on rhodes: <filename class='directory'>/home/rech/eee/reee217/SAXO_DIR</filename></simpara></listitem>
+	  <listitem><simpara>IPSL: <filename class='directory'>/home/smlod/SAXO_DIR</filename></simpara></listitem>
 	  <listitem><simpara>LOCEAN: <filename class='directory'>/usr/home/smasson/SAXO_DIR</filename></simpara></listitem>
 	</itemizedlist>
@@ -79,4 +80,9 @@
 	  <listitem><screen>
   <prompt>$</prompt> <userinput><command>ln</command> <option>-s</option> <parameter>/home/rech/eee/reee217/SAXO_DIR</parameter> <parameter><envar>${HOME}</envar>/SAXO_DIR</parameter></userinput>
+	  </screen></listitem>
+	  </varlistentry>
+	  <varlistentry><term><command>IPSL</command></term>
+	  <listitem><screen>
+  <prompt>$</prompt> <userinput><command>ln</command> <option>-s</option> <parameter>/home/smlod/SAXO_DIR</parameter> <parameter><envar>${HOME}</envar>/SAXO_DIR</parameter></userinput>
 	  </screen></listitem>
 	  </varlistentry>
Index: trunk/SRC/Documentation/xmldoc/main.html
===================================================================
--- trunk/SRC/Documentation/xmldoc/main.html	(revision 98)
+++ trunk/SRC/Documentation/xmldoc/main.html	(revision 100)
@@ -32,5 +32,5 @@
 </p><p>
 <span class="application">IDLdoc</span> documentations set is available using 
-<a href="http://forge.ipsl.jussieu.fr/saxo/browser/trunk/SRC/Documentation/idldoc_html_output/index.html?format=raw" target="_top">SRC/Documentation/idldoc_html_output/index.html</a>.
+<a href="../idldoc_html_output/index.html?format=raw" target="_top">SRC/Documentation/idldoc_html_output/index.html</a>.
 </p><p>
 Some useful <a href="tiplink.html?format=raw" target="_top">Tips and links</a>.
Index: trunk/SRC/Documentation/xmldoc/makehtml.sh
===================================================================
--- trunk/SRC/Documentation/xmldoc/makehtml.sh	(revision 98)
+++ trunk/SRC/Documentation/xmldoc/makehtml.sh	(revision 100)
@@ -18,4 +18,16 @@
 set -u
 #
+case $( whoami ) in
+    smasson)
+	lgforge=smasson
+    ;;
+    floseb)
+	lgforge=smasson
+    ;;
+    *)
+	lgforge=saxo
+    ;;
+esac
+#
 case "${1}" in
    getsaxo)
@@ -29,8 +41,8 @@
       szdatasvn=$( du -sh ../../../DATA | awk '{print $1}' )
       szdatasvn=${szdatasvn%*M}
-      echo "iii : you will be asked saxo@forge.ipsl.jussieu.fr passwd two times"
+      echo "iii : you will be asked ${lgforge}@forge.ipsl.jussieu.fr passwd two times"
       # find the most recent SAXO_SRC_yyyymmdd.tar.gz in 
       # /ipsl/forge/projets/saxo/download/
-      infosrc=$(ssh saxo@forge.ipsl.jussieu.fr ls -lht /ipsl/forge/projets/saxo/download/SAXO_SRC_*.tar.gz  | head -n 1)
+      infosrc=$(ssh ${lgforge}@forge.ipsl.jussieu.fr ls -lht /ipsl/forge/projets/saxo/download/SAXO_SRC_*.tar.gz  | head -n 1)
       filesrc=$(echo ${infosrc} | awk '{print $NF}')
       szsrc=$(echo ${infosrc} | awk '{print $5}')
@@ -40,5 +52,5 @@
       # find the most recent SAXO_DATA_yyyymmdd.tar.gz in 
       # /ipsl/forge/projets/saxo/download/
-      infodata=$(ssh saxo@forge.ipsl.jussieu.fr ls -lht /ipsl/forge/projets/saxo/download/SAXO_DATA_*.tar.gz | head -n 1)
+      infodata=$(ssh ${lgforge}@forge.ipsl.jussieu.fr ls -lht /ipsl/forge/projets/saxo/download/SAXO_DATA_*.tar.gz | head -n 1)
       filedata=$(echo ${infodata} | awk '{print $NF}')
       szdata=$(echo ${infodata} | awk '{print $5}')
@@ -231,4 +243,5 @@
    main)
       sed -e s?"../../saxo/browser/trunk/SRC/Documentation/xmldoc/"??g \
+	  -e s?"../../saxo/browser/trunk/SRC/Documentation/idldoc_html_output/"?"../idldoc_html_output/"?g \
 	  -e s?"../../saxo/browser/trunk"?"http://forge.ipsl.jussieu.fr/saxo/browser/trunk"?g \
           ${1}.html > ${1}_${$}.html 
Index: trunk/SRC/Documentation/xmldoc/savesaxo.sh
===================================================================
--- trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 98)
+++ trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 100)
@@ -15,7 +15,8 @@
 set -u
 #
+docompileall=1
 dohtml=0
 dooldtest=0
-doidldoc_html=1
+doidldoc_html=0
 doidldoc_assistant=0
 doidlwavedoc=0
@@ -25,7 +26,30 @@
 doSRClodyc=0
 doDTAlodyc=0
-doSRCidris=1
-doDTAidris=1
-#
+doSRCipsl=0
+doDTAipsl=0
+doSRCidris=0
+doDTAidris=0
+#
+case $( whoami ) in
+    smasson)
+	lgforge=smasson
+    ;;
+    floseb)
+	lgforge=smasson
+    ;;
+    *)
+	lgforge=saxo
+    ;;
+esac
+#
+if [ ${lgforge} != smasson ]
+then
+    doSRClodyc=0
+    doDTAlodyc=0
+    doSRCipsl=0
+    doDTAipsl=0
+    doSRCidris=0
+    doDTAidris=0
+fi    
 #
 # get the date in a nice format
@@ -34,4 +58,39 @@
 # memorize current directory
 memopwd=$(pwd) # should be <working space>/SRC/Documentation/xmldoc
+#
+#------------------------------------------------------------------
+if [ ${docompileall} -eq 1 ]
+    then
+    cat <<EOF > /tmp/compileall${$}.pro
+!path = expand_path('+' + '../..') + ':' + expand_path('+' + !dir)
+keep_compatibility, 0
+@all_cm
+EOF
+#
+    for i in $( find ${memopwd}/../../ -name "*.pro" )
+      do
+# does it contains return ?
+      grep -iq '^ *return' $i
+      if [ $? -eq 0 ]
+	  then
+# does it contains pro or function ?
+	  egrep -iq '^ *(pro|function)' $i
+	  if [ $? -eq 0 ]
+	      then
+	      echo ".r $( basename $i .pro )" >> /tmp/compileall${$}.pro
+	  fi
+      fi
+    done
+    echo exit >> /tmp/compileall${$}.pro
+    IDL_STARTUP=/tmp/compileall${$}.pro
+    $IDL_DIR/bin/idl &> /tmp/compileallerr_${$}
+    echo
+    echo
+    grep "Compilation error(s)" /tmp/compileallerr_${$}
+    [ $? -ne 0 ] && echo "ALL SAXO files are OK..." || exit
+    echo
+    echo
+    rm -f /tmp/compileallerr_${$} /tmp/compileall${$}.pro
+fi
 #------------------------------------------------------------------
 if [ ${dohtml} -eq 1 ]
@@ -163,10 +222,10 @@
 if [ ${doforge} -eq 1 ]
 then
-    echo "iii : you will be asked saxo@forge.ipsl.jussieu.fr passwd two times"
+    echo "iii : you will be asked ${lgforge}@forge.ipsl.jussieu.fr passwd two times"
     if [ ${doTARsrc} -ne 1 ]
     then
        localtarbase=${1}
     fi
-    scp ${localtarbase}/SAXO_*.tar.gz saxo@forge.ipsl.jussieu.fr:/ipsl/forge/projets/saxo/download/
+    scp ${localtarbase}/SAXO_*.tar.gz ${lgforge}@forge.ipsl.jussieu.fr:/ipsl/forge/projets/saxo/download/
     echo "iii : do not forget to update getsaxo.html"
     echo "iii : \$ ./makehtml.sh getsaxo"
@@ -174,13 +233,13 @@
 fi
 #------------------------------------------------------------------
-if [[ ($doSRClodyc -eq 1) || ($doDTAidris -eq 1) ]]
-then
-infosrc=$(ssh saxo@forge.ipsl.jussieu.fr ls -lht /ipsl/forge/projets/saxo/download/SAXO_SRC_*.tar.gz  | head -n 1)
-filesrc=$(echo ${infosrc} | awk '{print $NF}')
-filesrc=$( basename $filesrc )
-[ $doSRClodyc -eq 1 ] && rshell=bash || rshell=ksh
+if [[ ($doSRClodyc -eq 1) || ($doSRCipsl -eq 1) ]]
+then
+    echo "iii : you will be asked ${lgforge}@forge.ipsl.jussieu.fr passwd"
+    infosrc=$(ssh ${lgforge}@forge.ipsl.jussieu.fr ls -lht /ipsl/forge/projets/saxo/download/SAXO_SRC_*.tar.gz  | head -n 1)
+    filesrc=$(echo ${infosrc} | awk '{print $NF}')
+    filesrc=$( basename $filesrc )
 #
     cat <<EOF > job_src_$$
-#!/bin/${rshell}
+#!/bin/bash
 cd SAXO_DIR
 #
@@ -188,6 +247,6 @@
 wget http://forge.ipsl.jussieu.fr/saxo/download/$filesrc
 gunzip $filesrc
-tar vxf $( basename $filesrc .gz )
-rm -f $( basename $filesrc .gz )
+tar vxfz $filesrc
+rm -f $filesrc
 #
 chmod -R 755 *
@@ -197,19 +256,18 @@
 fi
 #
-if [[ ($doDTAlodyc -eq 1) || ($doDTAidris -eq 1) ]]
-then
-infodata=$(ssh saxo@forge.ipsl.jussieu.fr ls -lht /ipsl/forge/projets/saxo/download/SAXO_DATA_*.tar.gz | head -n 1)
-filedata=$(echo ${infodata} | awk '{print $NF}')
-filedata=$(basename $filedata)
-[ $doDTAlodyc -eq 1 ] && rshell=bash || rshell=ksh
+if [[ ($doDTAlodyc -eq 1) || ($doDTAipsl -eq 1) ]]
+then
+    echo "iii : you will be asked ${lgforge}@forge.ipsl.jussieu.fr passwd"
+    infodata=$(ssh ${lgforge}@forge.ipsl.jussieu.fr ls -lht /ipsl/forge/projets/saxo/download/SAXO_DATA_*.tar.gz | head -n 1)
+    filedata=$(echo ${infodata} | awk '{print $NF}')
+    filedata=$(basename $filedata)
     cat <<EOF > job_data_$$
-#!/bin/${rshell}
+#!/bin/bash
 cd SAXO_DIR
 #
 rm -rf DATA
 wget http://forge.ipsl.jussieu.fr/saxo/download/$filedata
-gunzip $filedata
-tar vxf $( basename $filedata .gz )
-rm -f $( basename $filedata .gz )
+tar vxfz $filedata
+rm -f $filedata
 #
 chmod -R 755 *
@@ -223,5 +281,5 @@
 # update src on cerbere
 #
-    echo "iii : update src on cerbere  cerbere"
+    echo "iii : update src on cerbere"
     scp job_src_$$ smasson@cerbere.lodyc.jussieu.fr:.
     ssh smasson@cerbere.lodyc.jussieu.fr "chmod 755 job_src_$$ ; ./job_src_$$ ; rm -f job_src_$$"
@@ -236,24 +294,90 @@
 fi
 #------------------------------------------------------------------
+if [ $doSRCipsl -eq 1 ]
+then
+# update src on cook
+#
+    echo "iii : update src on cook"
+    scp job_src_$$ smlod@cook.ipsl.jussieu.fr:.
+    ssh smlod@cook.ipsl.jussieu.fr "chmod 755 job_src_$$ ; ./job_src_$$ ; rm -f job_src_$$"
+fi
+#------------------------------------------------------------------
+if [ $doDTAipsl -eq 1 ]
+then
+# update data on cook
+    echo "iii : update data on cook"
+    scp job_data_$$ smlod@cook.ipsl.jussieu.fr:.
+    ssh smlod@cook.ipsl.jussieu.fr "chmod 755 job_data_$$ ; ./job_data_$$ ; rm -f job_data_$$"
+fi
+#------------------------------------------------------------------
 if [ $doSRCidris -eq 1 ]
 then
+# create the update script for rhodes
+    if [[ ($doSRClodyc -eq 0) && ($doSRCipsl -eq 0) ]]
+	then
+	echo "iii : you will be asked ${lgforge}@forge.ipsl.jussieu.fr passwd"
+	infosrc=$(ssh ${lgforge}@forge.ipsl.jussieu.fr ls -lht /ipsl/forge/projets/saxo/download/SAXO_SRC_*.tar.gz  | head -n 1)
+	filesrc=$(echo ${infosrc} | awk '{print $NF}')
+	filesrc=$( basename $filesrc )
+    fi
+#
+    cat <<EOF > job_src_idris_$$
+#!/bin/ksh
+cd SAXO_DIR
+#
+rm -rf SRC
+echo "iii : you will be asked ${lgforge}@forge.ipsl.jussieu.fr passwd"
+scp ${lgforge}@forge.ipsl.jussieu.fr:/ipsl/forge/projets/saxo/download/$filesrc .
+gunzip $filesrc
+tar vxf $( basename $filesrc .gz )
+rm -f $( basename $filesrc .gz )
+#
+chmod -R 755 *
+exit
+#
+EOF
 # update src on rhodes
     echo "iii : update src to rhodes"
-    scp job_src_$$ reee217@rhodes.idris.fr:.
-    ssh reee217@rhodes.idris.fr "chmod 755 job_src_$$ ; ./job_src_$$ ; rm -f job_src_$$"
+    scp job_src_idris_$$ reee217@rhodes.idris.fr:.
+    ssh reee217@rhodes.idris.fr "chmod 755 job_src_idris_$$ ; ./job_src_idris_$$ ; rm -f job_src_idris_$$"
 fi
 #------------------------------------------------------------------
 if [ $doDTAidris -eq 1 ]
 then
+# create the update script for rhodes
+    if [[ ($doDTAlodyc -eq 0) && ($doDTAipsl -eq 0) ]]
+	then
+	echo "iii : you will be asked ${lgforge}@forge.ipsl.jussieu.fr passwd"
+	infodata=$(ssh ${lgforge}@forge.ipsl.jussieu.fr ls -lht /ipsl/forge/projets/saxo/download/SAXO_DATA_*.tar.gz | head -n 1)
+	filedata=$(echo ${infodata} | awk '{print $NF}')
+	filedata=$(basename $filedata)
+    fi
+    cat <<EOF > job_data_idris_$$
+#!/bin/ksh
+cd SAXO_DIR
+#
+rm -rf DATA
+echo "iii : you will be asked ${lgforge}@forge.ipsl.jussieu.fr passwd"
+scp ${lgforge}@forge.ipsl.jussieu.fr:/ipsl/forge/projets/saxo/download/$filedata .
+gunzip $filedata
+tar vxf $( basename $filedata .gz )
+rm -f $( basename $filedata .gz )
+#
+chmod -R 755 *
+exit
+#
+EOF
 # update data on gaya
     echo "iii : update data to gaya"
-    scp job_data_$$ reee217@gaya.idris.fr:.
-    ssh reee217@gaya.idris.fr "chmod 755 job_data_$$ ; ./job_data_$$ ; rm -f job_data_$$"
+    scp job_data_idris_$$ reee217@gaya.idris.fr:.
+    ssh reee217@gaya.idris.fr "chmod 755 job_data_idris_$$ ; ./job_data_idris_$$ ; rm -f job_data_idris_$$"
 fi
 #------------------------------------------------------------------
 #
 [ -f job_src_$$ ] && rm -f job_src_$$
-[ -f job_data_$$ ] && rm -f
-#
-exit
-#
+[ -f job_data_$$ ] && rm -f job_data_$$
+[ -f job_src_idris_$$ ] && rm -f job_src_idris_$$
+[ -f job_data_idris_$$ ] && rm -f job_data_idris_$$
+#
+exit
+#
Index: trunk/SRC/Documentation/xmldoc/updatesaxo.html
===================================================================
--- trunk/SRC/Documentation/xmldoc/updatesaxo.html	(revision 98)
+++ trunk/SRC/Documentation/xmldoc/updatesaxo.html	(revision 100)
@@ -6,5 +6,5 @@
     Update <span class="application">SAXO</span>
   </h2></div><div><div class="authorgroup"><div class="author"><h3 class="author"><span class="firstname">S&eacute;bastien</span> <span class="surname">Masson</span></h3><code class="email">&lt;<a href="mailto:smasson_at_lodyc.jussieu.fr">smasson_at_lodyc.jussieu.fr</a>&gt;</code></div><div class="author"><h3 class="author"><span class="firstname">Fran&ccedil;oise</span> <span class="surname">Pinsard</span></h3><code class="email">&lt;<a href="mailto:fplod_at_lodyc.jussieu.fr">fplod_at_lodyc.jussieu.fr</a>&gt;</code></div></div></div><div><div class="revhistory"><table border="1" width="100%" summary="Revision history"><tr><th align="left" valign="top" colspan="2"><b>Revision History</b></th></tr><tr><td align="left">Revision 0.0</td><td align="left">May 2006</td></tr><tr><td align="left" colspan="2">First draft</td></tr></table></div></div></div><hr></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="sect1"><a href="#saxo_local">1. 
-	If you work at IDRIS or LOCEAN
+	If you work at IDRIS, IPSL or LOCEAN
       </a></span></dt><dt><span class="sect1"><a href="#saxo_svn">2. 
 	If you got SAXO with <span class="application"> Subversion (svn)</span>
@@ -12,8 +12,8 @@
 	If you got SAXO from a tar file
       </a></span></dt></dl></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="saxo_local"></a>1.&nbsp;
-	If you work at IDRIS or LOCEAN
+	If you work at IDRIS, IPSL or LOCEAN
       </h2></div></div></div><p>
 	If you <a href="getsaxo.html?format=raw#saxo_local" target="_top">linked</a> your <code class="filename"><code class="envar">${HOME}</code>/SAXO_DIR</code> to
-	</p><div class="itemizedlist"><ul type="disc"><li>IDRIS, on rhodes: <code class="filename">/home/rech/eee/reee217/SAXO_DIR</code></li><li>LOCEAN: <code class="filename">/usr/home/smasson/SAXO_DIR</code></li></ul></div><p>
+	</p><div class="itemizedlist"><ul type="disc"><li>IDRIS, on rhodes: <code class="filename">/home/rech/eee/reee217/SAXO_DIR</code></li><li>IPSL: <code class="filename">/home/smlod/SAXO_DIR</code></li><li>LOCEAN: <code class="filename">/usr/home/smasson/SAXO_DIR</code></li></ul></div><p>
 	your are always using the up-to-date version of SAXO. There is nothing to do.
       </p></div><div class="sect1" lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a name="saxo_svn"></a>2.&nbsp;
Index: trunk/SRC/Documentation/xmldoc/updatesaxo.xml
===================================================================
--- trunk/SRC/Documentation/xmldoc/updatesaxo.xml	(revision 98)
+++ trunk/SRC/Documentation/xmldoc/updatesaxo.xml	(revision 100)
@@ -36,5 +36,5 @@
     <sect1 id="saxo_local">
       <title>
-	If you work at IDRIS or LOCEAN
+	If you work at IDRIS, IPSL or LOCEAN
       </title>
       <para>
@@ -42,4 +42,5 @@
 	<itemizedlist>
 	  <listitem><simpara>IDRIS, on rhodes: <filename class='directory'>/home/rech/eee/reee217/SAXO_DIR</filename></simpara></listitem>
+	  <listitem><simpara>IPSL: <filename class='directory'>/home/smlod/SAXO_DIR</filename></simpara></listitem>
 	  <listitem><simpara>LOCEAN: <filename class='directory'>/usr/home/smasson/SAXO_DIR</filename></simpara></listitem>
 	</itemizedlist>
Index: trunk/SRC/Documentation/xmldoc/whatissaxo.xml
===================================================================
--- trunk/SRC/Documentation/xmldoc/whatissaxo.xml	(revision 98)
+++ trunk/SRC/Documentation/xmldoc/whatissaxo.xml	(revision 100)
@@ -22,11 +22,4 @@
     </revhistory>  
   </articleinfo>
-
-
-<!--
-
-SAXO is a package (~400 routines, ~60 000 code lines) used to easily and quickly visualize and analyze models outputs or data observations. It is based on <ulink url="http://www.ittvis.com/idl/"><trademark>IDL</trademark></ulink> and contains a Graphic User Interface. Developed in collaboration with <ulink url="http://www.lodyc.jussieu.fr/">LOCEAN</ulink> researchers, it allows to explore four dimension data which may be gridded or irregularly spaced. It is particularly adapted to the "Arakawa C grid" discretization used in <ulink url="http://www.lodyc.jussieu.fr/NEMO/">NEMO</ulink>. In addition to graphical procedures, interpolation modules and other things..., it contains a set of programs dedicated to oceanographic diagnostics. 
-
--->
 
 <sect1>