Index: trunk/SRC/Documentation/idldoc_html_output/Interpolation/map_npoints.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/Interpolation/map_npoints.html	(revision 89)
+++ trunk/SRC/Documentation/idldoc_html_output/Interpolation/map_npoints.html	(revision 101)
@@ -87,30 +87,6 @@
       </div>
 
-      <div id="file_comments"></div>
-
-      
-
-      
-
-      
-
-      
-
-      <div id="routine_details">
-	
-
-	<div class="routine_details" id="_Map_npoints">
-
-	  <h2><a class="top" href="#container">top</a>Map_npoints </h2>
-	
-	  <p class="header">
-	    <span class="result">result = </span>Map_npoints(<span class="result"><a href="#_Map_npoints_param_lon0">lon0</a>, <a href="#_Map_npoints_param_lat0">lat0</a>, <a href="#_Map_npoints_param_lon1">lon1</a>, <a href="#_Map_npoints_param_lat1">lat1</a></span>, <a href="#_Map_npoints_keyword_azimuth">azimuth</a>=<span class="result">azimuth</span>, <a href="#_Map_npoints_keyword_RADIANS">RADIANS</a>=<span class="result">RADIANS</span>, <a href="#_Map_npoints_keyword_RADIUS">RADIUS</a>=<span class="result">RADIUS</span>, <a href="#_Map_npoints_keyword_MIDDLE">MIDDLE</a>=<span class="result">MIDDLE</span>, <a href="#_Map_npoints_keyword_TWO_BY_TWO">TWO_BY_TWO</a>=<span class="result">TWO_BY_TWO</span>)</p>
-	
-	  <div class="comments">
- NAME:
-	Map_nPoints
-
- PURPOSE:
-	Return the distance in meter between all np0 points P0 and all
+      <div id="file_comments">
+Return the distance in meter between all np0 points P0 and all
        np1 points P1 on a sphere. If keyword /TWO_BY_TWO is given then
        returns the distances between number n of P0 points and number
@@ -118,32 +94,29 @@
        Same as map_2points with the meter parameter but for n points
        without do loop.
-
- CATEGORY:
-	Maps.
-
- CALLING SEQUENCE:
-	Result = Map_nPoints(lon0, lat0, lon1, lat1)
-
- INPUTS:
-	Lon0, Lat0 = np0 elements vector. longitudes and latitudes of
-	np0 points P0 
-	Lon1, Lat1 = np1 elements vector. longitude and latitude of
-	np1 points P1 
-
- KEYWORD PARAMETERS:
-
-   AZIMUTH: A named variable that will receive the azimuth of the great
-       circle  connecting the two points, P0 to P1
-   /MIDDLE: to get the longitude/latitude of the middle point betwen P0 and P1.
-   RADIANS = if set, inputs and angular outputs are in radians, otherwise
-	degrees.
-   RADIUS: If given, return the distance between the two points
-	calculated using the given radius.
-       Default value is the earth radius : 6378206.4d0
-   TWO_BY_TWO:If given,then Map_nPoints returns the distances between
-       number n of P0 points and number n of P1 points (in that case,
-       np0 and np1 must be equal).
-
- OUTPUTS:
+</div>
+
+      
+
+      
+
+      
+
+      
+
+      <div id="routine_details">
+	
+
+	<div class="routine_details" id="_Map_npoints">
+
+	  <h2><a class="top" href="#container">top</a>Map_npoints <span class="categories"> Maps
+</span></h2>
+	
+	  <p class="header">
+	    <span class="result">result = </span>Map_npoints(<span class="result"><a href="#_Map_npoints_param_lon0">lon0</a>, <a href="#_Map_npoints_param_lat0">lat0</a>, <a href="#_Map_npoints_param_lon1">lon1</a>, <a href="#_Map_npoints_param_lat1">lat1</a></span>, <a href="#_Map_npoints_keyword_azimuth">azimuth</a>=<span class="result">azimuth</span>, <a href="#_Map_npoints_keyword_RADIANS">RADIANS</a>=<span class="result">RADIANS</span>, <a href="#_Map_npoints_keyword_RADIUS">RADIUS</a>=<span class="result">RADIUS</span>, <a href="#_Map_npoints_keyword_MIDDLE">MIDDLE</a>=<span class="result">MIDDLE</span>, <a href="#_Map_npoints_keyword_TWO_BY_TWO">TWO_BY_TWO</a>=<span class="result">TWO_BY_TWO</span>)</p>
+	
+	  <div class="comments">
+</div>
+
+	  <h3>Return value</h3><div class="value">
        An (np0,np1) array giving the distance in meter between np0
        points P0 and np1 points P1. Element (i,j) of the ouput is the
@@ -153,55 +126,5 @@
        and P1[i] (in that case, we have np0 = np1 = np)
        if /MIDDLE see this keyword.
-
- EXAMPLES:
-	IDL> print, $
-	map_npoints([-105.15,1],[40.02,1],[-0.07,100,50],[51.30,20,0])
-	       7551369.3       5600334.8
-	       12864354.       10921254.
-	       14919237.       5455558.8
-	
-	IDL> lon0 = [-10, 20, 100]
-	IDL> lat0 = [0, -10, 45]
-	IDL> lon1 = [10, 60, 280]
-	IDL> lat1 = [0, 10, 45]
-	IDL> dist = map_npoints(lon0, lat0, lon1, lat1, azimuth = azi)
-	IDL> help, dist, azi
-	DIST            DOUBLE    = Array[3, 3]
-	AZI             DOUBLE    = Array[3, 3]
-	IDL> print, dist[4*lindgen(3)], azi[4*lindgen(3)]
-	       2226414.0       4957944.5       10018863.
-	       90.000000       64.494450   4.9615627e-15
-	IDL> dist = map_npoints(lon0, lat0, lon1, lat1, azimuth = azi, /two_by_two)
-	IDL> help, dist, azi
-	DIST            DOUBLE    = Array[3]
-	AZI             DOUBLE    = Array[3]
-	IDL> print, dist, azi
-	       2226414.0       4957944.5       10018863.
-	       90.000000       64.494450   4.9615627e-15
-	IDL> print, map_2points(lon0[0], lat0[0], lon1[0], lat1[0])
-	       20.000000       90.000000
-	IDL> print, map_npoints(lon0[0], lat0[0], lon1[0], lat1[0], azi=azi)/6378206.4d0 / !dtor, azi
-	       20.000000
-	       90.000000
-
-	IDL> lon0 = [-10, 20, 100]
-	IDL> lat0 = [0, -10, 45]
-	IDL> lon1 = [10, 60, 280]
-	IDL> lat1 = [0, 10, 45]
-	IDL> mid = map_npoints(lon0, lat0, lon1, lat1, /middle, /two_by_two)
-	IDL> print, reform(mid[0,*]), reform(mid[1,*])
-	       0.0000000       40.000000       190.00000
-	       0.0000000  -1.5902773e-15       90.000000
-	IDL> print, (map_2points(lon0[0], lat0[0], lon1[0], lat1[0], npath = 3))[*, 1]
-	       0.0000000       0.0000000
-	IDL> print, (map_2points(lon0[1], lat0[1], lon1[1], lat1[1], npath = 3))[*, 1]
-	       40.000000  -1.5902773e-15
-	IDL> print, (map_2points(lon0[2], lat0[2], lon1[2], lat1[2], npath = 3))[*, 1]
-	       190.00000       90.000000
-	
- MODIFICATION HISTORY:
-       Based on the IDL function map_2points.pro,v 1.6 2001/01/15</div>
-
-	  
+</div>
 
 	  
@@ -210,4 +133,17 @@
 	    
 	    <h4 id="_Map_npoints_param_lon0">lon0&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	      <span class="attr">in</span>
+	      
+	      
+	      <span class="attr">required</span>
+	      
+	      
+	      
+	      
+	    </h4>
+	
+	  <div class="comments"> np0 elements vector. longitudes and latitudes of np0 points P0 </div>
+	    
+	    <h4 id="_Map_npoints_param_lat0">lat0&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -222,5 +158,19 @@
 	  <div class="comments"></div>
 	    
-	    <h4 id="_Map_npoints_param_lat0">lat0&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	    <h4 id="_Map_npoints_param_lon1">lon1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+	      <span class="attr">in</span>
+	      
+	      
+	      <span class="attr">required</span>
+	      
+	      
+	      
+	      
+	    </h4>
+	
+	  <div class="comments">  np1 elements vector. longitude and latitude of np1 points P1 
+</div>
+	    
+	    <h4 id="_Map_npoints_param_lat1">lat1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 	      
 	      
@@ -235,30 +185,4 @@
 	  <div class="comments"></div>
 	    
-	    <h4 id="_Map_npoints_param_lon1">lon1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-	      
-	      
-	      
-	      
-	      
-	      
-	      
-	      
-	    </h4>
-	
-	  <div class="comments"></div>
-	    
-	    <h4 id="_Map_npoints_param_lat1">lat1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-	      
-	      
-	      
-	      
-	      
-	      
-	      
-	      
-	    </h4>
-	
-	  <div class="comments"></div>
-	    
 
 	  
@@ -279,5 +203,6 @@
 	    </h4>
 	
-	    <div class="comments"></div>
+	    <div class="comments"> A named variable that will receive the azimuth of the great
+       circle  connecting the two points, P0 to P1</div>
 	    
 	    <h4 id="_Map_npoints_keyword_RADIANS">RADIANS&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -292,5 +217,6 @@
 	    </h4>
 	
-	    <div class="comments"></div>
+	    <div class="comments"> = if set, inputs and angular outputs are in radians, otherwise
+degrees.</div>
 	    
 	    <h4 id="_Map_npoints_keyword_RADIUS">RADIUS&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -305,5 +231,7 @@
 	    </h4>
 	
-	    <div class="comments"></div>
+	    <div class="comments"> If given, return the distance between the two points
+calculated using the given radius.
+       Default value is the earth radius : 6378206.4d0</div>
 	    
 	    <h4 id="_Map_npoints_keyword_MIDDLE">MIDDLE&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -318,5 +246,5 @@
 	    </h4>
 	
-	    <div class="comments"></div>
+	    <div class="comments"> to get the longitude/latitude of the middle point betwen P0 and P1.</div>
 	    
 	    <h4 id="_Map_npoints_keyword_TWO_BY_TWO">TWO_BY_TWO&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
@@ -331,13 +259,67 @@
 	    </h4>
 	
-	    <div class="comments"></div>
-	    
-	  
-
-	  
-	  
-	  
-	  
-	  
+	    <div class="comments">:If given,then Map_nPoints returns the distances between
+       number n of P0 points and number n of P1 points (in that case,
+       np0 and np1 must be equal).
+</div>
+	    
+	  
+
+	  <h3>Examples</h3><div class="value"> 
+Result = Map_nPoints(lon0, lat0, lon1, lat1)
+
+
+IDL> print, $
+map_npoints([-105.15,1],[40.02,1],[-0.07,100,50],[51.30,20,0])
+       7551369.3       5600334.8
+       12864354.       10921254.
+       14919237.       5455558.8
+
+IDL> lon0 = [-10, 20, 100]
+IDL> lat0 = [0, -10, 45]
+IDL> lon1 = [10, 60, 280]
+IDL> lat1 = [0, 10, 45]
+IDL> dist = map_npoints(lon0, lat0, lon1, lat1, azimuth = azi)
+IDL> help, dist, azi
+DIST            DOUBLE    = Array[3, 3]
+AZI             DOUBLE    = Array[3, 3]
+IDL> print, dist[4*lindgen(3)], azi[4*lindgen(3)]
+       2226414.0       4957944.5       10018863.
+       90.000000       64.494450   4.9615627e-15
+IDL> dist = map_npoints(lon0, lat0, lon1, lat1, azimuth = azi, /two_by_two)
+IDL> help, dist, azi
+DIST            DOUBLE    = Array[3]
+AZI             DOUBLE    = Array[3]
+IDL> print, dist, azi
+       2226414.0       4957944.5       10018863.
+       90.000000       64.494450   4.9615627e-15
+IDL> print, map_2points(lon0[0], lat0[0], lon1[0], lat1[0])
+       20.000000       90.000000
+IDL> print, map_npoints(lon0[0], lat0[0], lon1[0], lat1[0], azi=azi)/6378206.4d0 / !dtor, azi
+       20.000000
+       90.000000
+
+IDL> lon0 = [-10, 20, 100]
+IDL> lat0 = [0, -10, 45]
+IDL> lon1 = [10, 60, 280]
+IDL> lat1 = [0, 10, 45]
+IDL> mid = map_npoints(lon0, lat0, lon1, lat1, /middle, /two_by_two)
+IDL> print, reform(mid[0,*]), reform(mid[1,*])
+       0.0000000       40.000000       190.00000
+       0.0000000  -1.5902773e-15       90.000000
+IDL> print, (map_2points(lon0[0], lat0[0], lon1[0], lat1[0], npath = 3))[*, 1]
+       0.0000000       0.0000000
+IDL> print, (map_2points(lon0[1], lat0[1], lon1[1], lat1[1], npath = 3))[*, 1]
+       40.000000  -1.5902773e-15
+IDL> print, (map_2points(lon0[2], lat0[2], lon1[2], lat1[2], npath = 3))[*, 1]
+       190.00000       90.000000
+</div>
+	  <h3>Version history</h3>
+	  
+	  
+	  <h4>History</h4><div class="value">
+       Based on the IDL function map_2points.pro,v 1.6 2001/01/15
+ Sebastien Masson (smasson@lodyc.jussieu.fr)
+                  October 2003</div>
 	  
 	  