Index: trunk/SRC/ForOldVersion/keep_compatibility.pro
===================================================================
--- trunk/SRC/ForOldVersion/keep_compatibility.pro	(revision 76)
+++ trunk/SRC/ForOldVersion/keep_compatibility.pro	(revision 102)
@@ -1,6 +1,4 @@
 ;+
-; NAME: keep_compatibility
-;
-; PURPOSE: 
+; @file_comments 
 ;   1) define key_forgetold = 1b - keyword_set(flag)
 ;   2) remove all oldcm_used.pro found in !path
@@ -8,23 +6,17 @@
 ;   4) copy oldcm_full(_empty) to myuniquetmpdir+'oldcm_used.pro'
 ;
-; CATEGORY: compatibility with old version
+; @categories compatibility with old version
 ;
-; CALLING SEQUENCE:keep_compatibility [, flag]
+; @examples
+; IDL> keep_compatibility [, flag]
 ;
-; INPUTS: 
+; @param flag {in}{optional} 1 or 0 to keep or forget the compatibility
 ;
-;    flag: 1 or 0 to keep or forget the compatibility
-;    dir: the directory where we create oldcm_used.pro.
-;    if omitted, is automatically defined to 
-;             1b - keyword_set(key_forgetold) 
+; uses cm_general
 ;
-; COMMON BLOCKS: cm_general
+; @restrictions copy oldcm_full or oldcm_empty must be found in the
+; !path. dir must also be in the !path
 ;
-; SIDE EFFECTS: see purpose
-;
-; RESTRICTIONS: copy oldcm_full or oldcm_empty must be found in the
-; !path. dir must aslo be in the !path
-;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      June 2005
 ;
Index: trunk/SRC/ForOldVersion/oldcm_empty.pro
===================================================================
--- trunk/SRC/ForOldVersion/oldcm_empty.pro	(revision 76)
+++ trunk/SRC/ForOldVersion/oldcm_empty.pro	(revision 102)
@@ -1,5 +1,5 @@
 ;+
 ;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                       June 2005
 ;-
Index: trunk/SRC/ForOldVersion/oldcm_full.pro
===================================================================
--- trunk/SRC/ForOldVersion/oldcm_full.pro	(revision 76)
+++ trunk/SRC/ForOldVersion/oldcm_full.pro	(revision 102)
@@ -1,5 +1,5 @@
 ;+
 ;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;			14/8/98
 ;-
Index: trunk/SRC/ForOldVersion/updatekwd.pro
===================================================================
--- trunk/SRC/ForOldVersion/updatekwd.pro	(revision 76)
+++ trunk/SRC/ForOldVersion/updatekwd.pro	(revision 102)
@@ -1,19 +1,20 @@
 ;+
-; NAME: updatekwd
 ;
-; PURPOSE: compatibility with old keywords
+; @file_comments 
+; compatibility with old keywords
+; if needed, force the definition of new keywords
+;               with the old ones.
 ;
-; CATEGORY: compatibility with previous version
+; @categories compatibility with previous version
 ;
-; CALLING SEQUENCE: @updatekwd
+; @examples 
+; IDL> \@updatekwd
 ;   (must be insert as an include in a procedure or function) 
 ;
-; SIDE EFFECTS: if needed, force the definition of new keywords
-;               with the old ones.
 ;
-; RESTRICTIONS: the compatibility can be made only if the keyword
+; @restrictions the compatibility can be made only if the keyword
 ;               given through _extra are given with their complete name
 ;
-; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      July 2005
 ;-
Index: trunk/SRC/ForOldVersion/updatenew.pro
===================================================================
--- trunk/SRC/ForOldVersion/updatenew.pro	(revision 76)
+++ trunk/SRC/ForOldVersion/updatenew.pro	(revision 102)
@@ -1,11 +1,11 @@
 ;+
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
-;                       JUne 2005
-;-
-;
+; file_comments 
 ; common declaration
 ;
 ; check that key_forgetold and keep_compatibility are well defined...
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+;                       June 2005
+;-
+;
 ;
 IF n_elements(key_forgetold) EQ 0 THEN keep_compatibility
Index: trunk/SRC/ForOldVersion/updateold.pro
===================================================================
--- trunk/SRC/ForOldVersion/updateold.pro	(revision 76)
+++ trunk/SRC/ForOldVersion/updateold.pro	(revision 102)
@@ -1,10 +1,9 @@
 ;+
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @file_comments
+; check that key_forgetold and keep_compatibility are well defined...
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;			14/8/98
 ;-
 ;
-;
-; check that key_forgetold and keep_compatibility are well defined...
 ;
 IF n_elements(key_forgetold) EQ 0 THEN keep_compatibility