Index: trunk/SRC/Postscript/closeps.pro
===================================================================
--- trunk/SRC/Postscript/closeps.pro	(revision 76)
+++ trunk/SRC/Postscript/closeps.pro	(revision 104)
@@ -3,25 +3,19 @@
 ;------------------------------------------------------------
 ;+
-; NAME: closeps
+; @file_comments Close the Postscript mode
 ;
-; PURPOSE: Close the Postscript mode
+;  when archive_ps ne 0, we add the name and the date
+;  at the bottom left corner of the postcript page. If the
+;  postscript is called idl.ps we change its name to number.ps
+;  (number automatically found to be 1 larger that any of the
+;  existing ps file)
 ;
-; CALLING SEQUENCE: closeps
-;
-; KEYWORD PARAMETERS:
-;
-;      INFOWIDGET: A long integer giving the id of the information
+; @keyword INFOWIDGET A long integer giving the id of the information
 ;           widget (created by openps) that we have de destroy at 
 ;           the end of closeps (when the postscript is done)
 ;
-; COMMON BLOCKS: cm_4ps
+; @uses cm_4ps
 ;
-; SIDE EFFECTS: when archive_ps ne 0, we add the name and the date
-;    at the bottom left corner of the postcript page. If the
-;    postscript is called idl.ps we change its name to number.ps
-;    (number automatically found to be 1 larger that any of the
-;     existing ps file)
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                       21/12/98
 ; June 2005: Sebastien Masson, english version with new commons 
Index: trunk/SRC/Postscript/openps.pro
===================================================================
--- trunk/SRC/Postscript/openps.pro	(revision 76)
+++ trunk/SRC/Postscript/openps.pro	(revision 104)
@@ -3,31 +3,25 @@
 ;------------------------------------------------------------
 ;+
-; NAME:openps
 ;
-; PURPOSE:switch to postcript mode and define it
+; @file_comments switch to postcript mode and define it
 ;
-; CALLING SEQUENCE:openps[,nameps]
-;
-; OPTIONAL INPUT:
-;        nameps: name of the postscript file. Extension '.ps' is added
+; @param namepsin {in}{optional} name of the postscript file. Extension '.ps' is added
 ;                if missing. It will be stored in the psdir directory.
 ;
-; KEYWORD PARAMETERS:
-;
-;        FILENAME: to define the name of the postcript file through
+; @keyword FILENAME to define the name of the postcript file through
 ;                  a keyword rather than with nameps inut argument
 ;                  (in this case the keyword can be pass through 
 ;                  different routines via _extra keyword).
 ;
-;        INFOWIDGET: If INFOWIDGET is present, it specifies a named
+; @keyword INFOWIDGET If INFOWIDGET is present, it specifies a named
 ;             variable into which the id of the widget giving informations
 ;             about the postscript creation is stored as a long integer.
 ;             This id is needed by close ps to kill the information widget.
 ;
-;        KEEP_PFONT: activate to suppress the modification of !p.font
+; @keyword KEEP_PFONT activate to suppress the modification of !p.font
 ;            (by defaut we force  !p.font = 0  to make smaller postscripts)
-;        KEEPPFONT: same as keep_pfont
+; @keyword KEEPPFONT same as keep_pfont
 ;
-;        LIGHTNESS: a scalar used to change the Lightness of the color
+; @keyword LIGHTNESS a scalar used to change the Lightness of the color
 ;            palette to be abble to adjust according to the printer we use,
 ;            the media (paper or slide)... 
@@ -35,10 +29,10 @@
 ;                         > 1 to get darker colors
 ;
-;        _EXTRA: used to pass any keyword to device procedure.
+; @keyword _EXTRA: used to pass any keyword to device procedure.
 ;  
-; COMMON BLOCKS: cm_4ps
+; uses cm_4ps
 ;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
-;			21/12/98
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; 21/12/98
 ; 1/2/98: ajout de nameps en input
 ; 1/9/1999: ajout du mot cle FILENAME et du widget
Index: trunk/SRC/Postscript/printps.pro
===================================================================
--- trunk/SRC/Postscript/printps.pro	(revision 76)
+++ trunk/SRC/Postscript/printps.pro	(revision 104)
@@ -3,27 +3,7 @@
 ;------------------------------------------------------------
 ;+
-; NAME:
-;	printps
-;
-; PURPOSE: postscript visualisation/archiving/printing
-;
-; CATEGORY: for the postscripts
-;
-; CALLING SEQUENCE:
-;	imprime [,psfilename]
-;      
-; INPUTS:
-;  
-;	psfilename: the name of the postscript file we want to
-;           visualize and/or print and/or archive. It can also refer
-;           to a gzipped postscript file. If needed, this name will
-;           be completed by .ps and/or .gz 
-;
-; KEYWORD PARAMETERS: None
-;
-; COMMON BLOCKS: cm_4ps
-;
-; SIDE EFFECTS: 
-
+;
+;
+;
 ; - archiving possibilities -
 ; 
@@ -37,5 +17,7 @@
 ; that any of the existing ps file).
 ;
-; RESTRICTIONS:
+; @categories for the postscripts
+;
+; @restrictions
 ;
 ; 1) this is working only with unix/linux/osX machines
@@ -51,7 +33,6 @@
 ; is working. default definition is '\lpr -P'
 ;
-; EXAMPLE: IDL> printps
-;
-; MODIFICATION HISTORY: Sebastien Masson (smasson@lodyc.jussieu.fr)
+;
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;			21/12/98
 ;                       25/8/19999 utilisation des widgets
@@ -197,7 +178,26 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
-pro printps, psfilename
+;+
+; @file_comments postscript visualisation/archiving/printing
+;
+; @param psfilename {in}{optional} the name of the postscript file we want to
+;           visualize and/or print and/or archive. It can also refer
+;           to a gzipped postscript file. If needed, this name will
+;           be completed by .ps and/or .gz 
+;
+; @uses cm_4ps
+;
+; @examples
+;  IDL> printps
+;
+; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+;			21/12/98
+;                       25/8/19999 utilisation des widgets
+;                       8/9/1999 utilisation de cw_bgroup
+; June 2005: Sebastien Masson: cleaning, english version with new commons 
+;-
+;------------------------------------------------------------
+;------------------------------------------------------------
+PRO printps, psfilename
 ;
 ; this is working only with unix/linux/osX machines
@@ -300,4 +300,2 @@
   return
 end
-
-