Index: trunk/SRC/Documentation/idldoc_html_output/idldoc-index-S.html
===================================================================
--- trunk/SRC/Documentation/idldoc_html_output/idldoc-index-S.html	(revision 104)
+++ trunk/SRC/Documentation/idldoc_html_output/idldoc-index-S.html	(revision 106)
@@ -208,10 +208,10 @@
 	<dd>a keyword from the routine computegrid</dd>
 	
+	<dt><a href="./ToBeReviewed/TRIANGULATION/definetri_e.html?format=raw#_definetri_e">SHIFTED</a></dt>
+	<dd>a keyword from the routine definetri_e</dd>
+	
 	<dt><a href="./ToBeReviewed/TRIANGULATION/triangule_e.html?format=raw#_triangule_e">SHIFTED</a></dt>
 	<dd>a keyword from the routine triangule_e</dd>
 	
-	<dt><a href="./ToBeReviewed/TRIANGULATION/definetri_e.html?format=raw#_definetri_e">SHIFTED</a></dt>
-	<dd>a keyword from the routine definetri_e</dd>
-	
 	<dt><a href="./ToBeReviewed/STRING/strsci.html?format=raw#_StrSci">SHORT</a></dt>
 	<dd>a keyword from the routine StrSci</dd>
@@ -232,22 +232,22 @@
 	<dd>a keyword from the routine report</dd>
 	
+	<dt><a href="./ToBeReviewed/PLOTS/axe.html?format=raw#_axe">SIN</a></dt>
+	<dd>a keyword from the routine axe</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltz.html?format=raw#_pltz">SIN</a></dt>
+	<dd>a keyword from the routine pltz</dd>
+	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt1d.html?format=raw#_plt1d">SIN</a></dt>
 	<dd>a keyword from the routine plt1d</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltz.html?format=raw#_pltz">SIN</a></dt>
-	<dd>a keyword from the routine pltz</dd>
-	
 	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/axis4pltz.html?format=raw#_axis4pltz">SIN</a></dt>
 	<dd>a keyword from the routine axis4pltz</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/axe.html?format=raw#_axe">SIN</a></dt>
-	<dd>a keyword from the routine axe</dd>
+	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/terminedessin.html?format=raw#_terminedessin">SMALL</a></dt>
+	<dd>a keyword from the routine terminedessin</dd>
 	
 	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/placedessin.html?format=raw#_placedessin">SMALL</a></dt>
 	<dd>a keyword from the routine placedessin</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/terminedessin.html?format=raw#_terminedessin">SMALL</a></dt>
-	<dd>a keyword from the routine terminedessin</dd>
-	
 	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_bgroup.html?format=raw#_CW_BGROUP">SPACE</a></dt>
 	<dd>a keyword from the routine CW_BGROUP</dd>
@@ -277,15 +277,18 @@
 	<dd>a keyword from the routine cw_domain</dd>
 	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltt.html?format=raw#_pltt">STRICTFILL</a></dt>
+	<dd>a keyword from the routine pltt</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltz.html?format=raw#_pltz">STRICTFILL</a></dt>
+	<dd>a keyword from the routine pltz</dd>
+	
 	<dt><a href="./ToBeReviewed/PLOTS/LABEL/label.html?format=raw#_label">STRICTFILL</a></dt>
 	<dd>a keyword from the routine label</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltz.html?format=raw#_pltz">STRICTFILL</a></dt>
-	<dd>a keyword from the routine pltz</dd>
-	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt.html?format=raw#_plt">STRICTFILL</a></dt>
 	<dd>a keyword from the routine plt</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltt.html?format=raw#_pltt">STRICTFILL</a></dt>
-	<dd>a keyword from the routine pltt</dd>
+	<dt><a href="./ToBeReviewed/LECTURE/xncdf_lec.html?format=raw#_xncdf_lec">STRIDE</a></dt>
+	<dd>a keyword from the routine xncdf_lec</dd>
 	
 	<dt><a href="./Grid/computegrid.html?format=raw#_computegrid">STRIDE</a></dt>
@@ -295,7 +298,4 @@
 	<dd>a keyword from the routine ncdf_meshread</dd>
 	
-	<dt><a href="./ToBeReviewed/LECTURE/xncdf_lec.html?format=raw#_xncdf_lec">STRIDE</a></dt>
-	<dd>a keyword from the routine xncdf_lec</dd>
-	
 	<dt><a href="./buildinit.html?format=raw#_CW_FIELD2">STRING</a></dt>
 	<dd>a keyword from the routine CW_FIELD2</dd>
@@ -310,4 +310,7 @@
 	<dd>a function from the file str_size.pro</dd>
 	
+	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt1d.html?format=raw#_plt1d">STY1D</a></dt>
+	<dd>a keyword from the routine plt1d</dd>
+	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltsc.html?format=raw#_pltsc">STY1D</a></dt>
 	<dd>a keyword from the routine pltsc</dd>
@@ -316,7 +319,4 @@
 	<dd>a keyword from the routine pltt</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/plt1d.html?format=raw#_plt1d">STY1D</a></dt>
-	<dd>a keyword from the routine plt1d</dd>
-	
 	<dt><a href="./ToBeReviewed/PLOTS/DESSINE/pltz.html?format=raw#_pltz">STYLE</a></dt>
 	<dd>a keyword from the routine pltz</dd>
@@ -349,10 +349,10 @@
 	<dd>a function from the file str_token.pro</dd>
 	
+	<dt><a href="./Textoidl/strcnt.html?format=raw#_Strcnt">Strcnt</a></dt>
+	<dd>a function from the file strcnt.pro</dd>
+	
 	<dt><a href="./ToBeReviewed/STRING/strcnt.html?format=raw#_Strcnt">Strcnt</a></dt>
 	<dd>a function from the file strcnt.pro</dd>
 	
-	<dt><a href="./Textoidl/strcnt.html?format=raw#_Strcnt">Strcnt</a></dt>
-	<dd>a function from the file strcnt.pro</dd>
-	
 	<dt><a href="./ToBeReviewed/STRING/strtok.html?format=raw#_Strtok">Strtok</a></dt>
 	<dd>a function from the file strtok.pro</dd>
@@ -367,19 +367,19 @@
 	<dd>a function from the file sub_sup_idl.pro</dd>
 	
+	<dt><a href="./ToBeReviewed/STRING/putfile.html?format=raw#_putfile">s</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/STRING/putfile.html</dd>
+	
+	<dt><a href="./ToBeReviewed/STRING/strright.html?format=raw#_strright">s</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/STRING/strright.html</dd>
+	
 	<dt><a href="./ReadWrite/idl-NetCDF/ncdf_quickwrite/ncdf_quickwrite_helper3.html?format=raw#_ncdf_quickwrite_helper3">s</a></dt>
 	<dd>a parameter from the routine ./ReadWrite/idl-NetCDF/ncdf_quickwrite/ncdf_quickwrite_helper3.html</dd>
 	
-	<dt><a href="./ToBeReviewed/STRING/strright.html?format=raw#_strright">s</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/STRING/strright.html</dd>
-	
-	<dt><a href="./ToBeReviewed/STRING/putfile.html?format=raw#_putfile">s</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/STRING/putfile.html</dd>
+	<dt><a href="./ReadWrite/idl-NetCDF/ncdf_struct_free.html?format=raw#_ncdf_struct_free">s</a></dt>
+	<dd>a parameter from the routine ./ReadWrite/idl-NetCDF/ncdf_struct_free.html</dd>
 	
 	<dt><a href="./ReadWrite/idl-NetCDF/ncdf_quickwrite/ncdf_quickwrite_helper2.html?format=raw#_ncdf_quickwrite_helper2">s</a></dt>
 	<dd>a parameter from the routine ./ReadWrite/idl-NetCDF/ncdf_quickwrite/ncdf_quickwrite_helper2.html</dd>
 	
-	<dt><a href="./ReadWrite/idl-NetCDF/ncdf_struct_free.html?format=raw#_ncdf_struct_free">s</a></dt>
-	<dd>a parameter from the routine ./ReadWrite/idl-NetCDF/ncdf_struct_free.html</dd>
-	
 	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/saveatt.html?format=raw#_saveatt">saveatt</a></dt>
 	<dd>a function from the file saveatt.pro</dd>
@@ -532,10 +532,10 @@
 	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/AUTOUR_de_XXX/createhistory.html</dd>
 	
+	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_pagelayout.html?format=raw#_cw_pagelayout">small</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_pagelayout.html</dd>
+	
 	<dt><a href="./ToBeReviewed/WIDGET/AUTOUR_de_XXX/tracecadre.html?format=raw#_tracecadre">small</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/AUTOUR_de_XXX/tracecadre.html</dd>
 	
-	<dt><a href="./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_pagelayout.html?format=raw#_cw_pagelayout">small</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_pagelayout.html</dd>
-	
 	<dt><a href="./ToBeReviewed/POSTSCRIPT/calibre.html?format=raw#_calibre">smalldraw</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/POSTSCRIPT/calibre.html</dd>
@@ -595,16 +595,13 @@
 	<dd>a function from the file square2quadrilateral.pro</dd>
 	
-	<dt><a href="./Interpolation/square2quadrilateral.html?format=raw#_square2quadrilateral">square2quadrilateral</a></dt>
-	<dd>a function from the file square2quadrilateral.pro</dd>
-	
 	<dt><a href="Interpolation/square2quadrilateral.html?format=raw">square2quadrilateral.pro</a></dt>
 	<dd>a file from the directory ./Interpolation</dd>
 	
+	<dt><a href="./ToBeReviewed/STRING/strcnt.html?format=raw#_Strcnt">startpos</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/STRING/strcnt.html</dd>
+	
 	<dt><a href="./Textoidl/strcnt.html?format=raw#_Strcnt">startpos</a></dt>
 	<dd>a parameter from the routine ./Textoidl/strcnt.html</dd>
 	
-	<dt><a href="./ToBeReviewed/STRING/strcnt.html?format=raw#_Strcnt">startpos</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/STRING/strcnt.html</dd>
-	
 	<dt><a href="./Grid/computegrid.html?format=raw#_computegrid">startx</a></dt>
 	<dd>a parameter from the routine ./Grid/computegrid.html</dd>
@@ -619,13 +616,13 @@
 	<dd>a parameter from the routine ./Grid/computegrid.html</dd>
 	
+	<dt><a href="./ToBeReviewed/STRING/strrepl.html?format=raw#_strrepl">str</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/STRING/strrepl.html</dd>
+	
+	<dt><a href="./ToBeReviewed/STRING/lenstr.html?format=raw#_lenstr">str</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/STRING/lenstr.html</dd>
+	
 	<dt><a href="./ToBeReviewed/STRING/strwhere.html?format=raw#_strwhere">str</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/STRING/strwhere.html</dd>
 	
-	<dt><a href="./ToBeReviewed/STRING/strrepl.html?format=raw#_strrepl">str</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/STRING/strrepl.html</dd>
-	
-	<dt><a href="./ToBeReviewed/STRING/lenstr.html?format=raw#_lenstr">str</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/STRING/lenstr.html</dd>
-	
 	<dt><a href="./ToBeReviewed/STRING/string2struct.html?format=raw#_string2struct">strVal</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/STRING/string2struct.html</dd>
@@ -637,22 +634,22 @@
 	<dd>a file from the directory ./Textoidl</dd>
 	
+	<dt><a href="ToBeReviewed/STRING/strcnt.html?format=raw">strcnt.pro</a></dt>
+	<dd>a file from the directory ./ToBeReviewed/STRING</dd>
+	
 	<dt><a href="Textoidl/strcnt.html?format=raw">strcnt.pro</a></dt>
 	<dd>a file from the directory ./Textoidl</dd>
 	
-	<dt><a href="ToBeReviewed/STRING/strcnt.html?format=raw">strcnt.pro</a></dt>
-	<dd>a file from the directory ./ToBeReviewed/STRING</dd>
+	<dt><a href="./ReadWrite/idl-NetCDF/ncdf_quickwrite/ncdf_quickwrite_helper2.html?format=raw#__str">string</a></dt>
+	<dd>a parameter from the routine ./ReadWrite/idl-NetCDF/ncdf_quickwrite/ncdf_quickwrite_helper2.html</dd>
+	
+	<dt><a href="./ToBeReviewed/STRING/strtok.html?format=raw#_Strtok">string</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/STRING/strtok.html</dd>
+	
+	<dt><a href="./Textoidl/str_token.html?format=raw#_Str_token">string</a></dt>
+	<dd>a parameter from the routine ./Textoidl/str_token.html</dd>
 	
 	<dt><a href="./ToBeReviewed/STRING/str_size.html?format=raw#_STR_SIZE">string</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/STRING/str_size.html</dd>
 	
-	<dt><a href="./ReadWrite/idl-NetCDF/ncdf_quickwrite/ncdf_quickwrite_helper2.html?format=raw#__str">string</a></dt>
-	<dd>a parameter from the routine ./ReadWrite/idl-NetCDF/ncdf_quickwrite/ncdf_quickwrite_helper2.html</dd>
-	
-	<dt><a href="./ToBeReviewed/STRING/strtok.html?format=raw#_Strtok">string</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/STRING/strtok.html</dd>
-	
-	<dt><a href="./Textoidl/str_token.html?format=raw#_Str_token">string</a></dt>
-	<dd>a parameter from the routine ./Textoidl/str_token.html</dd>
-	
 	<dt><a href="./ToBeReviewed/STRING/string2struct.html?format=raw#_string2struct">string2struct</a></dt>
 	<dd>a function from the file string2struct.pro</dd>
@@ -670,13 +667,13 @@
 	<dd>a file from the directory ./ToBeReviewed/STRING</dd>
 	
+	<dt><a href="./Textoidl/nexttok.html?format=raw#_nexttok">strn</a></dt>
+	<dd>a parameter from the routine ./Textoidl/nexttok.html</dd>
+	
+	<dt><a href="./ToBeReviewed/STRING/strcnt.html?format=raw#_Strcnt">strn</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/STRING/strcnt.html</dd>
+	
 	<dt><a href="./Textoidl/strcnt.html?format=raw#_Strcnt">strn</a></dt>
 	<dd>a parameter from the routine ./Textoidl/strcnt.html</dd>
 	
-	<dt><a href="./Textoidl/nexttok.html?format=raw#_nexttok">strn</a></dt>
-	<dd>a parameter from the routine ./Textoidl/nexttok.html</dd>
-	
-	<dt><a href="./ToBeReviewed/STRING/strcnt.html?format=raw#_Strcnt">strn</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/STRING/strcnt.html</dd>
-	
 	<dt><a href="./ToBeReviewed/STRING/strrepl.html?format=raw#_strrepl">strrepl</a></dt>
 	<dd>a function from the file strrepl.pro</dd>
@@ -703,10 +700,10 @@
 	<dd>a function from the file strtrans.pro</dd>
 	
+	<dt><a href="ToBeReviewed/STRING/strtrans.html?format=raw">strtrans.pro</a></dt>
+	<dd>a file from the directory ./ToBeReviewed/STRING</dd>
+	
 	<dt><a href="Textoidl/strtrans.html?format=raw">strtrans.pro</a></dt>
 	<dd>a file from the directory ./Textoidl</dd>
 	
-	<dt><a href="ToBeReviewed/STRING/strtrans.html?format=raw">strtrans.pro</a></dt>
-	<dd>a file from the directory ./ToBeReviewed/STRING</dd>
-	
 	<dt><a href="./ToBeReviewed/STRUCTURE/extractstru.html?format=raw#_extractstru">stru</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/STRUCTURE/extractstru.html</dd>
@@ -718,16 +715,16 @@
 	<dd>a parameter from the routine ./ToBeReviewed/STRUCTURE/mixstru.html</dd>
 	
+	<dt><a href="./ToBeReviewed/STRING/strkeywd.html?format=raw#_strkeywd">struct</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/STRING/strkeywd.html</dd>
+	
+	<dt><a href="./ToBeReviewed/STRUCTURE/struct2string.html?format=raw#_struct2string">struct</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/STRUCTURE/struct2string.html</dd>
+	
+	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/restoreatt.html?format=raw#_restoreatt">struct</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DIVERS/restoreatt.html</dd>
+	
 	<dt><a href="./ToBeReviewed/LECTURE/litchamp.html?format=raw#_litchamp">struct</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/LECTURE/litchamp.html</dd>
 	
-	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/restoreatt.html?format=raw#_restoreatt">struct</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DIVERS/restoreatt.html</dd>
-	
-	<dt><a href="./ToBeReviewed/STRING/strkeywd.html?format=raw#_strkeywd">struct</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/STRING/strkeywd.html</dd>
-	
-	<dt><a href="./ToBeReviewed/STRUCTURE/struct2string.html?format=raw#_struct2string">struct</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/STRUCTURE/struct2string.html</dd>
-	
 	<dt><a href="./ToBeReviewed/STRUCTURE/struct2string.html?format=raw#_struct2string">struct2string</a></dt>
 	<dd>a function from the file struct2string.pro</dd>
@@ -760,10 +757,10 @@
 	<dd>a keyword from the routine read_gribtable</dd>
 	
+	<dt><a href="./ToBeReviewed/STRING/strcnt.html?format=raw#_Strcnt">substrn</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/STRING/strcnt.html</dd>
+	
 	<dt><a href="./Textoidl/strcnt.html?format=raw#_Strcnt">substrn</a></dt>
 	<dd>a parameter from the routine ./Textoidl/strcnt.html</dd>
 	
-	<dt><a href="./ToBeReviewed/STRING/strcnt.html?format=raw#_Strcnt">substrn</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/STRING/strcnt.html</dd>
-	
 	<dt><a href="./ReadWrite/idl-NetCDF/ncdf_quickread/ncdf_quickread_helper.html?format=raw#_ncdf_quickread_getFile">suffix</a></dt>
 	<dd>a keyword from the routine ncdf_quickread_getFile</dd>
@@ -781,10 +778,10 @@
 	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DIVERS/checkfield.html</dd>
 	
+	<dt><a href="./ToBeReviewed/UTILITAIRE/fitintobox.html?format=raw#_err_mess">sz</a></dt>
+	<dd>a parameter from the routine ./ToBeReviewed/UTILITAIRE/fitintobox.html</dd>
+	
 	<dt><a href="./ToBeReviewed/PLOTS/DIVERS/checkfield.html?format=raw#_err_2d">sz</a></dt>
 	<dd>a parameter from the routine ./ToBeReviewed/PLOTS/DIVERS/checkfield.html</dd>
 	
-	<dt><a href="./ToBeReviewed/UTILITAIRE/fitintobox.html?format=raw#_err_mess">sz</a></dt>
-	<dd>a parameter from the routine ./ToBeReviewed/UTILITAIRE/fitintobox.html</dd>
-	
       </dl>
       